GNU bug report logs - #54829
[PATCH 0/2] Update Emacs to 28.1 and add socket activation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Keywords: patch; dated Sat, 9 Apr 2022 23:12:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 28 Apr 2022 12:15:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 08:15:46 2022
Received: from localhost ([127.0.0.1]:45708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk33h-0007mu-S2
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 08:15:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nk33f-0007f0-7V
 for 54829 <at> debbugs.gnu.org; Thu, 28 Apr 2022 08:15:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50128)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nk33Z-0003Qg-2x; Thu, 28 Apr 2022 08:15:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=3PFn+itl8vr42pOEE0Kz6xfX5xIFp82Pc4rG84CC6qs=; b=MY/zOu446TUq1Hzh6Fk6
 9wSG6fAnUObo0CK7i4FEMt1SAX+gSZWy/BLeKoG+cCUg4jferiWeLxheNvdKp1svtC4Ru99CuaQhp
 PB8x78q10OolkltnVMHfJkzH4xmrzx7IZQNkCC6CcLWqBcM3FdMU8eG+GDsJ4A5Jyj2g1ZBpfkcq4
 Ju9ppvz1HQfXT6Yf0y1hKLhBP4s94CK3tcUUpTEy3ZNta6tEfDNoyIAtit3FC0aFcsbs5orodXqrm
 IYiQQbymP7SPdC5mk6EM0p6QnPBM/vicrceuFgRHMd4So4Gd18tIB3dCksjCqup7cQ+V3GwSMVVJ7
 GZzE/xseR+N3BQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=48964 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nk33W-0004Fi-QJ; Thu, 28 Apr 2022 08:15:36 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#54829: [PATCH 0/2] Update Emacs to 28.1 and add socket
 activation
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <ea79ad869b1630dd0ecd9cc5d5dd04b6333e8522.camel@HIDDEN>
Date: Thu, 28 Apr 2022 14:15:31 +0200
In-Reply-To: <ea79ad869b1630dd0ecd9cc5d5dd04b6333e8522.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Sun, 10 Apr 2022 13:32:27 +0200")
Message-ID: <878rrpe74s.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org,
 zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:

> * gnu/packages/emacs.scm (emacs)[#:phases]: Add =E2=80=98enable-elogind=
=E2=80=99.
> [inputs]: Add elogind.
> [native-inputs]: Add autoconf.

[...]

> +          (add-after 'unpack 'enable-elogind
> +            (lambda _
> +              (substitute* "configure.ac"
> +                (("libsystemd") "libelogind"))

I suggest making that substitution in =E2=80=98configure=E2=80=99=E2=80=A6

>      (native-inputs
> -     (list pkg-config texinfo))
> +     (list autoconf pkg-config texinfo))

=E2=80=A6 so you don=E2=80=99t need this extra dependency.

Otherwise it LGTM.

Perhaps you can push to a =E2=80=98wip-emacs-28=E2=80=99 branch, and then p=
ing me or
another admin on #guix so we can tell ci.guix to build it.  Once it=E2=80=
=99s
built and we don=E2=80=99t see regressions, we can merge in =E2=80=98master=
=E2=80=99 (should
take a day or two at most I suppose).

Thanks,
Ludo=E2=80=99.

PS: First time it takes more than a few hours for a new Emacs version to
    land in Guix!  :-)




Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 26 Apr 2022 21:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 17:38:01 2022
Received: from localhost ([127.0.0.1]:40688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njSsj-0001kU-LM
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2022 17:38:01 -0400
Received: from mail-oo1-f49.google.com ([209.85.161.49]:35333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquegh2701@HIDDEN>) id 1njSsi-0001kH-1o
 for 54829 <at> debbugs.gnu.org; Tue, 26 Apr 2022 17:38:00 -0400
Received: by mail-oo1-f49.google.com with SMTP id
 y27-20020a4a9c1b000000b0032129651bb0so35715ooj.2
 for <54829 <at> debbugs.gnu.org>; Tue, 26 Apr 2022 14:37:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=user-agent:from:to:cc:subject:date:message-id:mime-version;
 bh=xykiJMODEOjJlLDaNIsMu2FW2d7NEtYTcmTeV3miBCE=;
 b=DCZebFP9CWwfyJZMHHJBgP0JTsJu6OpnIhUJ7TsyGZ4nzz4Ok6muQS1QolvfWp+DHX
 gE7o8jddZA7JnJySYn3xqdgPsVQyPo0HQ4v1lNpIJew6JyC5HeirvNQrj/ClEooQy4Ng
 paWEdF7QjO9wSfXJRoGJz5eS/CB31S5iL7T2IqU3NrFm3wrk+FnA150PQ8NJJAO4E5GL
 9aYbTPykXafi2o05U9JLSQe7eDZXBkqULCys8EF8wbB8PzwXWg8X1d1qmxLt+tduQHnZ
 tNHxhcOHh8D09acMwDdQMu02qTm4PAraJuKXvd3SnDLJ+muaogLX5pG+ccoOX9BQS4Ip
 VUiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:user-agent:from:to:cc:subject:date:message-id
 :mime-version;
 bh=xykiJMODEOjJlLDaNIsMu2FW2d7NEtYTcmTeV3miBCE=;
 b=czvdYCmcXjAr1Ra/WUoierPKhngi3p99gKvLSobfxPXDBQeno4ZzG9hn6o0R2g1VdR
 JNv/YOp/DUKskOjnkUaFF6Hu+T5XxdRQu5fOmOqJ7z74Cpc1NmWSISONmDb5FGyfSEqF
 k0e7xVyPRNZ+XQ5dEoW/yNOlIbKK07J8penfdSBjjhOvflc7p9WaeCROYlHYQ0LoAQUk
 gVnirnb9F/yrFfjsn+vk4uqvUf5bzJMbBAFwe5NvG57pkIlb8Dy/gQ/Zyo7zY3t/2o4w
 dVrmNB3YnyE50ZAuikc0XQUge0WbxkKOFHR+4puvQEDo1wmwbdSIV43lK5ViHGYB2rd+
 LcxA==
X-Gm-Message-State: AOAM532QuzB1VDc67sM0I2PJaHxGsT3qB8d36ThMzAkye8gZHHgSjouY
 uTDuZ1rBnt1XCeexcmUwo8k=
X-Google-Smtp-Source: ABdhPJwhUcYefq9JiMPx+s9f+07TI9NkDJ5Ij3Ai/Rvi5uit3rucnyglsHMYIyKyjjyMFkeiEuM9pQ==
X-Received: by 2002:a4a:ab09:0:b0:334:5b06:6233 with SMTP id
 i9-20020a4aab09000000b003345b066233mr8981142oon.35.1651009074007; 
 Tue, 26 Apr 2022 14:37:54 -0700 (PDT)
Received: from LenovoGuix ([2804:7f2:2787:e10d:93a1:8cc1:b5bb:72b4])
 by smtp.gmail.com with ESMTPSA id
 j23-20020a9d7397000000b00605da7eb77dsm301661otk.18.2022.04.26.14.37.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 26 Apr 2022 14:37:53 -0700 (PDT)
User-agent: mu4e 1.6.10; emacs 27.2
From: Luis Henrique Gomes Higino <luishenriquegh2701@HIDDEN>
To: 54829 <at> debbugs.gnu.org
Subject: Other emacs packages
Date: Tue, 26 Apr 2022 18:27:09 -0300
Message-ID: <87k0bb5xw2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 54829
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Hi Liliana,

I think the emacs-next packages should be updated as well on this 
patch series. Also, you could add a version with 
native-compilation, like we have for wide-int and xwidgets.

Regards,
-- 
Luis H. Higino




Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 14 Apr 2022 19:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 14 15:47:52 2022
Received: from localhost ([127.0.0.1]:57424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nf5RY-0001VF-GX
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2022 15:47:52 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:41528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nf5RQ-0001TZ-Gp
 for 54829 <at> debbugs.gnu.org; Thu, 14 Apr 2022 15:47:49 -0400
Received: by mail-ed1-f68.google.com with SMTP id c6so7651219edn.8
 for <54829 <at> debbugs.gnu.org>; Thu, 14 Apr 2022 12:47:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:cc:content-transfer-encoding
 :message-id; bh=eNfUBYYrenJaNg+D/SLGZ5m2IlQUdz5LxGGLA0MBaHs=;
 b=iAUtfGxoYGW/5fJ54IgVyDolWRpljQZvDcc5xGdDg/QwTiGFzk2S1ikwVMU+AirpoF
 LdvELrkYBSQtRH6HHCFlZy/+PYp70gD405FpbEDbDbPqsR3R2fvdFLzWllZajSPyiBuO
 Wbc1NKC9AJKAtvBzo6cOQHTOIqbCFE039qIU+eS+PKAA7Fh/QN5uL+n3iGQiKYVHMgXO
 IAWNPlDUBEZZODD6uLtUEeayWGCtHo5+Z7T8KRbgm+l3H/aTl1jAzQJqOyzAP70wgr1r
 sHKyDWBQhG5ddfniUm3AhfElq/mHFeJqsFlHoWeQv32wS+hGtLprSF/iuhAVndlQdv+m
 dYyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to:cc
 :content-transfer-encoding:message-id;
 bh=eNfUBYYrenJaNg+D/SLGZ5m2IlQUdz5LxGGLA0MBaHs=;
 b=yIK4wDlXy7JFZbbb+kyG58uUpUezk5Cd9BU2TwYzLKLtwT6rLQx4SN6DG1ediI/+iy
 MTitScnQFkmtVWigSkElgvqsXcG379dodiRoZkHfxDAVJ0+BC9X44q3p81O6ne4A8KOv
 /mhyyMuyNmS+R+1bB+5gy17x5ztWwm4v2kL2EnA6xHHeAaMlUbAEhcXAYMHgxUrOJ+4X
 D5TY11or1foQSDzqN7KVbDm8xyB7uPta3tRCmgkB1f79EC4GiceyJE0knonpyG8tajS5
 0g3lHzZE0RNBkl/B0Rs8ezufzbjSLhdxOV8N0I2qnjLg/tLrpSBr5awcetgD/cdx3Ld7
 XucQ==
X-Gm-Message-State: AOAM532PequaikbH7lIetxbVMcIltOFuGNwCmst5fZWfKC//rRLkY9TV
 7tyxGX6xtb2EqfMluBPt3Gu2IJkkCHQ=
X-Google-Smtp-Source: ABdhPJy/Dr7iopywnY8Xtfl6/z33A4l0qIyc8ePopLTUqOxaia31t/6ICkjmxLjjPFkrlFOBV2J/fw==
X-Received: by 2002:a05:6402:354b:b0:419:4af8:c5c9 with SMTP id
 f11-20020a056402354b00b004194af8c5c9mr4814089edd.91.1649965658860; 
 Thu, 14 Apr 2022 12:47:38 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u19-20020a17090617d300b006cea86ca384sm953906eje.40.2022.04.14.12.47.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 14 Apr 2022 12:47:38 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sun, 10 Apr 2022 13:32:27 +0200
Subject: [PATCH v3 3/3] gnu: emacs: Add support for socket activation.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <ea79ad869b1630dd0ecd9cc5d5dd04b6333e8522.camel@HIDDEN>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs.scm (emacs)[#:phases]: Add ‘enable-elogind’.
    [inputs]: Add elogind. [native-inputs]: Add autoconf. --- gnu/packages/emacs.scm
    | 8 +++++++- 1 file changed, 7 insertions(+), 1 d [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.68 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs.scm (emacs)[#:phases]: Add ‘enable-elogind’.
    [inputs]: Add elogind. [native-inputs]: Add autoconf. --- gnu/packages/emacs.scm
    | 8 +++++++- 1 file changed, 7 insertions(+), 1 d [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.68 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/emacs.scm (emacs)[#:phases]: Add ‘enable-elogind’.
[inputs]: Add elogind.
[native-inputs]: Add autoconf.
---
 gnu/packages/emacs.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index a32fe624dd..847731b95d 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -131,6 +131,11 @@ (define-public emacs
                                 "--disable-build-details")
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'unpack 'enable-elogind
+            (lambda _
+              (substitute* "configure.ac"
+                (("libsystemd") "libelogind"))
+              (delete-file "configure")))
           (add-after 'unpack 'patch-program-file-names
             (lambda* (#:key inputs #:allow-other-keys)
               (substitute* '("src/callproc.c"
@@ -271,6 +276,7 @@ (define* (emacs-byte-compile-directory dir)
            gmp
            ghostscript
            poppler
+           elogind
 
            ;; When looking for libpng `configure' links with `-lpng -lz', so we
            ;; must also provide zlib as an input.
@@ -290,7 +296,7 @@ (define* (emacs-byte-compile-directory dir)
            libotf
            m17n-lib))
     (native-inputs
-     (list pkg-config texinfo))
+     (list autoconf pkg-config texinfo))
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 14 Apr 2022 19:47:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 14 15:47:49 2022
Received: from localhost ([127.0.0.1]:57422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nf5RU-0001Ui-L1
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2022 15:47:49 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:44658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nf5RP-0001TV-W3
 for 54829 <at> debbugs.gnu.org; Thu, 14 Apr 2022 15:47:48 -0400
Received: by mail-ej1-f65.google.com with SMTP id u15so11933336ejf.11
 for <54829 <at> debbugs.gnu.org>; Thu, 14 Apr 2022 12:47:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:cc:content-transfer-encoding
 :message-id; bh=XBqO4d8eS1vAF19J5uxDwr8nm+JfRuz9E4f7TlxOohk=;
 b=qeK0L+jWTumlS+hc6yBhLUL4WFm+WwuSEBWvFJoU8WESjsDpxTbufYjJgDpQZuiBYw
 RCsBNtQwtqFCBvCvqWrabebd1m6lKkWOHvTuVIU4q0WeI2CoCroxZZ9Cid+LSF3IMr8D
 FfBC4El0wXHrdzri0NsGIWTg9yE1O1K8MoSPvf1q52iEftTxRR+OmqTDPYT+a5OCTOMw
 R7y+Lj/ulnZIziApfP58PpgOuGd2D4vcyyaUwx39tzaT9wsA+jB6aV3phlP4WP4XwCJK
 dBjy7w8sIP7ulTvsXinK8uDmKWRL6jq2V7OS8C6DEIY55wC34w/0+r0BzULba8jMGFjC
 iHSQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to:cc
 :content-transfer-encoding:message-id;
 bh=XBqO4d8eS1vAF19J5uxDwr8nm+JfRuz9E4f7TlxOohk=;
 b=aGCCZyebX4kRkM/72Tbs0nsZ+FBlA3vHyGS9atMGDgdUs7ceMCUwfBcolt5bz/Zfv2
 oUekMXwRHz10R6MUDQ2hkErgSL9Jo+YvTIo7z2rqGWbo1cOP3jhAP/Cku628AZsERWos
 t1AAgF44mTyAz0QNf+tiS5yeh2ElxitcX/6zrYoR2bZjCllhL7NnPas79Yp2Q1eBcdWY
 SVRbsRTq/CVtkL8T5FmCJcXlcl1BsIa15o9Jaw8AF1SkfXVLhL0WhTOeQGy1sXsSBN11
 qm6hDD/JLtW7egoxqq3yDwbBDtK+BLYkXaWU5UpnJ3rLU0I8+/QWFUpCGUvhMLzNWDAp
 OIjw==
X-Gm-Message-State: AOAM530f21HxmcWCqvsmsMO1x/ajLG0cYmfeg5UXD54OJWscVTsyqGUU
 E+PPh1pb3e4Qsf5vcv1nMoqrGW3QmX4=
X-Google-Smtp-Source: ABdhPJzTOQyLvzz3OJE81Ib1CN2V1DSNy1vIUUFhGjJQeHZC4ynARGQPZ9+IpJcxSD0yqiTtyJ2bRQ==
X-Received: by 2002:a17:907:724d:b0:6df:ff4c:8941 with SMTP id
 ds13-20020a170907724d00b006dfff4c8941mr3728828ejc.10.1649965658096; 
 Thu, 14 Apr 2022 12:47:38 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u19-20020a17090617d300b006cea86ca384sm953906eje.40.2022.04.14.12.47.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 14 Apr 2022 12:47:37 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sun, 10 Apr 2022 13:28:05 +0200
Subject: [PATCH v3 2/3] gnu: emacs: Use new package style.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <b9e5d9768567a6da6670f8dff3420f6fc5202bf8.camel@HIDDEN>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs.scm (emacs)[source]<snippet>: Drop trailing
    ‘#t’. [arguments]: Convert to list of G-Expressions. Use ‘search-input-file’
    where possible. Inline references to auxiliary fil [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.65 listed in wl.mailspike.net]
  0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs.scm (emacs)[source]<snippet>: Drop trailing
    ‘#t’. [arguments]: Convert to list of G-Expressions. Use ‘search-input-file’
    where possible. Inline references to auxiliary fil [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.65 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/emacs.scm (emacs)[source]<snippet>: Drop trailing ‘#t’.
[arguments]: Convert to list of G-Expressions.
Use ‘search-input-file’ where possible.
Inline references to auxiliary files.
Drop trailing ‘#t’s.
[inputs, native-inputs]: Drop labels.
---
 gnu/packages/emacs.scm | 327 ++++++++++++++++++++---------------------
 1 file changed, 161 insertions(+), 166 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 7d791250d2..a32fe624dd 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -41,6 +41,7 @@
 (define-module (gnu packages emacs)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
@@ -51,6 +52,7 @@ (define-module (gnu packages emacs)
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages fribidi)
   #:use-module (gnu packages gd)
   #:use-module (gnu packages gettext)
@@ -119,183 +121,176 @@ (define-public emacs
                       (list line
                             "\"~/.guix-profile/include\""
                             "\"/var/guix/profiles/system/profile/include\"")
-                      " ")))
-                  #t))))
+                      " ")))))))
     (build-system glib-or-gtk-build-system)
     (arguments
-     `(#:tests? #f                      ; no check target
-       #:configure-flags (list "--with-modules"
-                               "--with-cairo"
-                               "--disable-build-details")
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-program-file-names
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* '("src/callproc.c"
-                            "lisp/term.el"
-                            "lisp/htmlfontify.el"
-                            "lisp/textmodes/artist.el"
-                            "lisp/progmodes/sh-script.el")
-               (("\"/bin/sh\"")
-                (format #f "~s" (which "sh"))))
-             (substitute* "lisp/doc-view.el"
-               (("\"(gs|dvipdf|ps2pdf)\"" all what)
-                (let ((ghostscript (assoc-ref inputs "ghostscript")))
-                  (if ghostscript
-                      (string-append "\"" ghostscript "/bin/" what "\"")
-                      all)))
-               (("\"(pdftotext)\"" all what)
-                (let ((poppler (assoc-ref inputs "poppler")))
-                  (if poppler
-                      (string-append "\"" poppler "/bin/" what "\"")
-                      all))))
-             ;; match ".gvfs-fuse-daemon-real" and ".gvfsd-fuse-real"
-             ;; respectively when looking for GVFS processes.
-             (substitute* "lisp/net/tramp-gvfs.el"
-               (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
-                (format #f "(or ~a (tramp-compat-process-running-p ~s))"
-                        all (string-append "." process "-real"))))
-             #t))
-         (add-before 'configure 'fix-/bin/pwd
-           (lambda _
-             ;; Use `pwd', not `/bin/pwd'.
-             (substitute* (find-files "." "^Makefile\\.in$")
-               (("/bin/pwd")
-                "pwd"))
-             #t))
-         (add-after 'install 'install-site-start
-           ;; Use 'guix-emacs' in "site-start.el", which is used autoload the
-           ;; Elisp packages found in EMACSLOADPATH.
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out      (assoc-ref outputs "out"))
-                    (lisp-dir (string-append out "/share/emacs/site-lisp"))
-                    (emacs    (string-append out "/bin/emacs")))
+     (list
+      #:tests? #f                      ; no check target
+      #:configure-flags #~(list "--with-modules"
+                                "--with-cairo"
+                                "--disable-build-details")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-program-file-names
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* '("src/callproc.c"
+                             "lisp/term.el"
+                             "lisp/htmlfontify.el"
+                             "lisp/textmodes/artist.el"
+                             "lisp/progmodes/sh-script.el")
+                (("\"/bin/sh\"")
+                 (format #f "~s" (search-input-file inputs "/bin/sh"))))
+              (substitute* "lisp/doc-view.el"
+                (("\"(gs|dvipdf|ps2pdf|pdftotext)\"" all what)
+                 (let ((replacement (search-input-file
+                                     inputs
+                                     (string-append "/bin/" what))))
+                   (if replacement
+                       (string-append "\"" replacement "\"")
+                       all))))
+              ;; match ".gvfs-fuse-daemon-real" and ".gvfsd-fuse-real"
+              ;; respectively when looking for GVFS processes.
+              (substitute* "lisp/net/tramp-gvfs.el"
+                (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
+                 (format #f "(or ~a (tramp-compat-process-running-p ~s))"
+                         all (string-append "." process "-real"))))))
+          (add-before 'configure 'fix-/bin/pwd
+            (lambda _
+              ;; Use `pwd', not `/bin/pwd'.
+              (substitute* (find-files "." "^Makefile\\.in$")
+                (("/bin/pwd")
+                 "pwd"))))
+          (add-after 'install 'install-site-start
+            ;; Use 'guix-emacs' in "site-start.el", which is used autoload the
+            ;; Elisp packages found in EMACSLOADPATH.
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out      (assoc-ref outputs "out"))
+                     (lisp-dir (string-append out "/share/emacs/site-lisp"))
+                     (emacs    (string-append out "/bin/emacs")))
 
-               ;; This is duplicated from emacs-utils to prevent coupling.
-               (define* (emacs-byte-compile-directory dir)
-                 (let ((expr `(progn
-                               (setq byte-compile-debug t)
-                               (byte-recompile-directory
-                                (file-name-as-directory ,dir) 0 1))))
-                   (invoke emacs "--quick" "--batch"
-                           (format #f "--eval=~s" expr))))
+                ;; This is duplicated from emacs-utils to prevent coupling.
+                (define* (emacs-byte-compile-directory dir)
+                  (let ((expr `(progn
+                                (setq byte-compile-debug t)
+                                (byte-recompile-directory
+                                 (file-name-as-directory ,dir) 0 1))))
+                    (invoke emacs "--quick" "--batch"
+                            (format #f "--eval=~s" expr))))
 
-               (copy-file (assoc-ref inputs "guix-emacs.el")
-                          (string-append lisp-dir "/guix-emacs.el"))
-               (with-output-to-file (string-append lisp-dir "/site-start.el")
-                 (lambda ()
-                   (display
-                    (string-append
-                     "(when (require 'guix-emacs nil t)\n"
-                     "  (guix-emacs-autoload-packages)\n"
-                     "  (advice-add 'package-load-all-descriptors"
-                     " :after #'guix-emacs-load-package-descriptors))"))))
-               ;; Remove the extraneous subdirs.el file, as it causes Emacs to
-               ;; add recursively all the the sub-directories of a profile's
-               ;; share/emacs/site-lisp union when added to EMACSLOADPATH,
-               ;; which leads to conflicts.
-               (delete-file (string-append lisp-dir "/subdirs.el"))
-               ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir))
-             #t))
-         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
-           ;; restore the dump file that Emacs installs somewhere in
-           ;; libexec/ to its original state
-           (lambda* (#:key outputs target #:allow-other-keys)
-             (let* ((libexec (string-append (assoc-ref outputs "out")
-                                            "/libexec"))
-                    ;; each of these ought to only match a single file,
-                    ;; but even if not (find-files) sorts by string<,
-                    ;; so the Nth element in one maps to the Nth element of
-                    ;; the other
-                    (pdmp (find-files libexec "\\.pdmp$"))
-                    (pdmp-real (find-files libexec "\\.pdmp-real$")))
-               (for-each rename-file pdmp-real pdmp))))
-         (add-after 'glib-or-gtk-wrap 'strip-double-wrap
-           (lambda* (#:key outputs #:allow-other-keys)
-             ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
-             ;; twice.  This also fixes a minor issue, where WMs would not be
-             ;; able to track emacs back to emacs.desktop.
-             (with-directory-excursion (assoc-ref outputs "out")
-               (copy-file
-                (car (find-files "bin" "^emacs-([0-9]+\\.)+[0-9]+$"))
-                "bin/emacs")
-               #t)))
-         (add-after 'strip-double-wrap 'wrap-emacs-paths
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (lisp-dirs (find-files (string-append out "/share/emacs")
-                                           "^lisp$"
-                                           #:directories? #t)))
-               (for-each
-                (lambda (prog)
-                  (wrap-program prog
-                    ;; emacs-next and variants rely on uname being in PATH for
-                    ;; Tramp.  Tramp paths can't be hardcoded, because they
-                    ;; need to be portable.
-                    `("PATH" suffix
-                      ,(map (lambda (in) (string-append in "/bin"))
-                            (list (assoc-ref inputs "gzip")
-                                  (assoc-ref inputs "coreutils"))))
-                    `("EMACSLOADPATH" suffix ,lisp-dirs)))
-                (find-files (string-append out "/bin")
-                            ;; Matches versioned and unversioned emacs binaries.
-                            ;; We don't patch emacsclient, because it takes its
-                            ;; environment variables from emacs.
-                            ;; Likewise, we don't need to patch helper binaries
-                            ;; like etags, ctags or ebrowse.
-                            "^emacs(-[0-9]+(\\.[0-9]+)*)?$"))))))))
+                (copy-file #$(local-file
+                              (search-auxiliary-file "emacs/guix-emacs.el"))
+                           (string-append lisp-dir "/guix-emacs.el"))
+                (with-output-to-file (string-append lisp-dir "/site-start.el")
+                  (lambda ()
+                    (display
+                     (string-append
+                      "(when (require 'guix-emacs nil t)\n"
+                      "  (guix-emacs-autoload-packages)\n"
+                      "  (advice-add 'package-load-all-descriptors"
+                      " :after #'guix-emacs-load-package-descriptors))"))))
+                ;; Remove the extraneous subdirs.el file, as it causes Emacs to
+                ;; add recursively all the the sub-directories of a profile's
+                ;; share/emacs/site-lisp union when added to EMACSLOADPATH,
+                ;; which leads to conflicts.
+                (delete-file (string-append lisp-dir "/subdirs.el"))
+                ;; Byte compile the site-start files.
+                (emacs-byte-compile-directory lisp-dir))))
+          (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+            ;; restore the dump file that Emacs installs somewhere in
+            ;; libexec/ to its original state
+            (lambda* (#:key outputs target #:allow-other-keys)
+              (let* ((libexec (string-append (assoc-ref outputs "out")
+                                             "/libexec"))
+                     ;; each of these ought to only match a single file,
+                     ;; but even if not (find-files) sorts by string<,
+                     ;; so the Nth element in one maps to the Nth element of
+                     ;; the other
+                     (pdmp (find-files libexec "\\.pdmp$"))
+                     (pdmp-real (find-files libexec "\\.pdmp-real$")))
+                (for-each rename-file pdmp-real pdmp))))
+          (add-after 'glib-or-gtk-wrap 'strip-double-wrap
+            (lambda* (#:key outputs #:allow-other-keys)
+              ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
+              ;; twice.  This also fixes a minor issue, where WMs would not be
+              ;; able to track emacs back to emacs.desktop.
+              (with-directory-excursion (assoc-ref outputs "out")
+                (copy-file
+                 (car (find-files "bin" "^emacs-([0-9]+\\.)+[0-9]+$"))
+                 "bin/emacs"))))
+          (add-after 'strip-double-wrap 'wrap-emacs-paths
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out (assoc-ref outputs "out"))
+                     (lisp-dirs (find-files (string-append out "/share/emacs")
+                                            "^lisp$"
+                                            #:directories? #t)))
+                (for-each
+                 (lambda (prog)
+                   (wrap-program prog
+                     ;; emacs-next and variants rely on uname being in PATH for
+                     ;; Tramp.  Tramp paths can't be hardcoded, because they
+                     ;; need to be portable.
+                     `("PATH" suffix
+                       ,(map dirname
+                             (list (search-input-file inputs "/bin/gzip")
+                                   ;; for coreutils
+                                   (search-input-file inputs "/bin/yes"))))
+                     `("EMACSLOADPATH" suffix ,lisp-dirs)))
+                 (find-files (string-append out "/bin")
+                             ;; Matches versioned and unversioned emacs binaries.
+                             ;; We don't patch emacsclient, because it takes its
+                             ;; environment variables from emacs.
+                             ;; Likewise, we don't need to patch helper binaries
+                             ;; like etags, ctags or ebrowse.
+                             "^emacs(-[0-9]+(\\.[0-9]+)*)?$"))))))))
     (inputs
-     `(("gnutls" ,gnutls)
-       ("ncurses" ,ncurses)
+     (list gnutls
+           ncurses
 
-       ;; Required for "core" functionality, such as dired and compression.
-       ("coreutils" ,coreutils)
-       ("gzip" ,gzip)
+           ;; Required for "core" functionality, such as dired and compression.
+           coreutils
+           gzip
 
-       ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
-       ;; only via insecure channels.  This is not needed for (modern) IMAP.
-       ("mailutils" ,mailutils)
+           ;; Avoid Emacs's limited movemail substitute that retrieves POP3
+           ;; email only via insecure channels.
+           ;; This is not needed for (modern) IMAP.
+           mailutils
 
-       ;; TODO: Add the optional dependencies.
-       ("gpm" ,gpm)
-       ("libx11" ,libx11)
-       ("gtk+" ,gtk+)
-       ("cairo" ,cairo)
-       ("pango" ,pango)
-       ("harfbuzz" ,harfbuzz)
-       ("libxft" ,libxft)
-       ("libtiff" ,libtiff)
-       ("giflib" ,giflib)
-       ("libjpeg" ,libjpeg-turbo)
-       ("acl" ,acl)
-       ("jansson" ,jansson)
-       ("gmp" ,gmp)
-       ("ghostscript" ,ghostscript)
-       ("poppler" ,poppler)
+           ;; TODO: Add the optional dependencies.
+           gpm
+           libx11
+           gtk+
+           cairo
+           pango
+           harfbuzz
+           libxft
+           libtiff
+           giflib
+           libjpeg-turbo
+           acl
+           jansson
+           gmp
+           ghostscript
+           poppler
 
-       ;; When looking for libpng `configure' links with `-lpng -lz', so we
-       ;; must also provide zlib as an input.
-       ("libpng" ,libpng)
-       ("zlib" ,zlib)
-       ("librsvg" ,@(if (target-x86-64?)
-                         (list librsvg-bootstrap)
-                         (list librsvg-2.40)))
-       ("libxpm" ,libxpm)
-       ("libxml2" ,libxml2)
-       ("libice" ,libice)
-       ("libsm" ,libsm)
-       ("alsa-lib" ,alsa-lib)
-       ("dbus" ,dbus)
+           ;; When looking for libpng `configure' links with `-lpng -lz', so we
+           ;; must also provide zlib as an input.
+           libpng
+           zlib
+           (if (target-x86-64?)
+               librsvg-bootstrap
+               librsvg-2.40)
+           libxpm
+           libxml2
+           libice
+           libsm
+           alsa-lib
+           dbus
 
-       ;; multilingualization support
-       ("libotf" ,libotf)
-       ("m17n-lib" ,m17n-lib)))
+           ;; multilingualization support
+           libotf
+           m17n-lib))
     (native-inputs
-     `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
-       ("pkg-config" ,pkg-config)
-       ("texinfo" ,texinfo)))
-
+     (list pkg-config texinfo))
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 14 Apr 2022 19:47:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 14 15:47:46 2022
Received: from localhost ([127.0.0.1]:57420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nf5RS-0001UJ-2q
	for submit <at> debbugs.gnu.org; Thu, 14 Apr 2022 15:47:46 -0400
Received: from mail-ed1-f65.google.com ([209.85.208.65]:42896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nf5RP-0001TO-Bv
 for 54829 <at> debbugs.gnu.org; Thu, 14 Apr 2022 15:47:44 -0400
Received: by mail-ed1-f65.google.com with SMTP id t25so7654631edt.9
 for <54829 <at> debbugs.gnu.org>; Thu, 14 Apr 2022 12:47:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:cc:content-transfer-encoding:message-id
 :mime-version; bh=47LkbGbbD+vZWFCdP0Cz1ewJtvZhKMkXN8N3Ma298KY=;
 b=Mn9ydIAy7lpWkDuwgbIWune+gabfacjaWJWxtr8Rc9oC7Btn09iHEA0StMZwDBjX9C
 rmOVIFNmuuZ4vdYuZvQRQu7qFpq5ZS76OY1BiSztfSI47liMHLvuz4pk6ErSo6etQNvU
 1nUJjJFCGHLOTqCeeHSdfqm25qhlkU2GGs9gfWC6vjDyKnax1lzaReLK6GO/7go9/xsh
 7DqjsilMXWj+4X0n9TN6BCLOb2910kb013eQiKsouZ3in9GIdX5Oo1p87gSkfYXYy11b
 EfPtDcuHBtE5D+vM4U6S17sdu1QLBtMaFaoakud/nstnss0pooMAA65rKWGqRwTJpp9w
 D4pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:cc
 :content-transfer-encoding:message-id:mime-version;
 bh=47LkbGbbD+vZWFCdP0Cz1ewJtvZhKMkXN8N3Ma298KY=;
 b=wX9Co2oslVQx/XRCbAXaeEhcTXBHIuh5M6tTcCxnEqNaykch/N2WUE3snUN83NQgtu
 D2hNZHe4YKTmXBR9GaB4/Qi2qOUveuAQixoFHuqYsATmbKxyUyCgbrZFMk3E1C8H3wxc
 4iOIUhx44mZo6YTT7kxii/vR6oIJCbKDz/gaclfaVNdiMOgxzUbV5YQ47pvj4JuGNiq4
 5Qct30oZxgejOw2t0ftqhdwt4bsNUL283nF0UwoyH+RlpI/DXwl6RPg9MFxebiEde8sP
 bxi6IX/awc8+XdVN8pAkblJPSTAnNuYw2UCqmWCkPfEW+bUsaMXr3/YorB9B1/TS3fdY
 cCeg==
X-Gm-Message-State: AOAM531fiZ/wk0f3nRKfaxVv+kJpYRWkwnAPB6bSRUMoIi7pS8i/Oirs
 EdNHQjx5dpsWM44hMROtCykKX036Qt4=
X-Google-Smtp-Source: ABdhPJww9Eqm1ZYRtJb5XkbblBcRttS862nikr6N28aK/2mDsbdq7kAUUkX+hh6awpeCReahkPqf6g==
X-Received: by 2002:a05:6402:910:b0:41d:9622:3297 with SMTP id
 g16-20020a056402091000b0041d96223297mr4701188edz.393.1649965657318; 
 Thu, 14 Apr 2022 12:47:37 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 u19-20020a17090617d300b006cea86ca384sm953906eje.40.2022.04.14.12.47.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 14 Apr 2022 12:47:36 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sun, 10 Apr 2022 13:23:43 +0200
Subject: [PATCH v3 1/3] gnu: emacs: Update to 28.1.
to: 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <8e120cbce7a52dc7df88f2b53c0c5802439fa4d5.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/emacs.scm (emacs): Update to 28.1 *
 gnu/packages/patches/emacs-exec-path.patch:
 Adjust accordingly. *
 gnu/packages/patches/emacs-ignore-empty-xim-styles.patch:
 Delete file. * gnu/local. [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
 date
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (liliana.prikler[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.65 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs.scm (emacs): Update to 28.1 * gnu/packages/patches/emacs-exec-path.patch:
    Adjust accordingly. * gnu/packages/patches/emacs-ignore-empty-xim-styles.patch:
    Delete file. * gnu/local. [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.65 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.1 DATE_IN_PAST_96_XX     Date: is 96 hours or more before Received:
                             date
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/emacs.scm (emacs): Update to 28.1
* gnu/packages/patches/emacs-exec-path.patch: Adjust accordingly.
* gnu/packages/patches/emacs-ignore-empty-xim-styles.patch: Delete file.
* gnu/local.mk: Remove it here.
---
 gnu/local.mk                                  |  1 -
 gnu/packages/emacs.scm                        |  5 ++--
 gnu/packages/patches/emacs-exec-path.patch    | 12 +++++-----
 .../emacs-ignore-empty-xim-styles.patch       | 24 -------------------
 4 files changed, 8 insertions(+), 34 deletions(-)
 delete mode 100644 gnu/packages/patches/emacs-ignore-empty-xim-styles.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 70133e6502..585a605138 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1029,7 +1029,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/elogind-revert-polkit-detection.patch	\
   %D%/packages/patches/emacs-exec-path.patch			\
   %D%/packages/patches/emacs-fix-scheme-indent-function.patch	\
-  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
   %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-highlight-stages-add-gexp.patch	\
   %D%/packages/patches/emacs-hyperbole-toggle-messaging.patch	\
diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index bfb3f9790e..7d791250d2 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -79,17 +79,16 @@ (define-module (gnu packages emacs)
 (define-public emacs
   (package
     (name "emacs")
-    (version "27.2")
+    (version "28.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
               (sha256
                (base32
-                "1ff182gjw9wqsbx1kj5gl2r5pbqhp4ar54g04j33fgz6g17cr9xl"))
+                "1qbmmmhnjhn4lvzsnyk7l5ganbi6wzbm38jc1a7hhyh3k78b7c98"))
               (patches (search-patches "emacs-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
-                                       "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
               (modules '((guix build utils)))
               (snippet
diff --git a/gnu/packages/patches/emacs-exec-path.patch b/gnu/packages/patches/emacs-exec-path.patch
index 7303599df1..9a76b0237d 100644
--- a/gnu/packages/patches/emacs-exec-path.patch
+++ b/gnu/packages/patches/emacs-exec-path.patch
@@ -4,13 +4,13 @@ with things like GCC being referenced.
 
 --- a/lisp/loadup.el
 +++ b/lisp/loadup.el
-@@ -481,7 +481,8 @@ lost after dumping")))
+@@ -530,7 +530,8 @@ lost after dumping")))
                          ((equal dump-mode "dump") "emacs")
                          ((equal dump-mode "bootstrap") "emacs")
                          ((equal dump-mode "pbootstrap") "bootstrap-emacs.pdmp")
--                        (t (error "unrecognized dump mode %s" dump-mode)))))
-+                        (t (error "unrecognized dump mode %s" dump-mode))))
+-                        (t (error "Unrecognized dump mode %s" dump-mode)))))
++                        (t (error "Unrecognized dump mode %s" dump-mode))))
 +          (exec-path nil))
-       (message "Dumping under the name %s" output)
-       (condition-case ()
-           (delete-file output)
+       (when (and (featurep 'native-compile)
+                  (equal dump-mode "pdump"))
+         ;; Don't enable this before bootstrap is completed, as the
diff --git a/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch b/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch
deleted file mode 100644
index 398e65bdc8..0000000000
--- a/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Fix contributed upstream here:
-https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42694.
-
-Index: emacs-26.3/src/xfns.c
-===================================================================
---- emacs-26.3.orig/src/xfns.c
-+++ emacs-26.3/src/xfns.c
-@@ -2628,6 +2628,8 @@ xic_free_xfontset (struct frame *f)
- static XIMStyle
- best_xim_style (XIMStyles *xim)
- {
-+  if (xim == NULL) goto out;
-+
-   int i, j;
-   int nr_supported = ARRAYELTS (supported_xim_styles);
-
-@@ -2636,6 +2638,7 @@ best_xim_style (XIMStyles *xim)
-       if (supported_xim_styles[i] == xim->supported_styles[j])
-	return supported_xim_styles[i];
-
-+ out:
-   /* Return the default style.  */
-   return XIMPreeditNothing | XIMStatusNothing;
- }

base-commit: 5059e7f01e1d299a2a52b1649251fa49f1992385
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 13 Apr 2022 10:29:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 13 06:29:55 2022
Received: from localhost ([127.0.0.1]:51750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1neaG2-0007Ug-R5
	for submit <at> debbugs.gnu.org; Wed, 13 Apr 2022 06:29:55 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:38754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1neaG0-0007UT-Ng
 for 54829 <at> debbugs.gnu.org; Wed, 13 Apr 2022 06:29:53 -0400
Received: by mail-wr1-f41.google.com with SMTP id p18so1124624wru.5
 for <54829 <at> debbugs.gnu.org>; Wed, 13 Apr 2022 03:29:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=A4cA/7w9FMDPs4KamZ82S6owtZyaidIP37OzAPHTK14=;
 b=TSHt14+mWBbDR18IXoniFlzmWPXbP0JcfzSTjm+R3T6tjcBAprCp8QoDO6UhUvrCnd
 DDz5Gxtu3xq5bCaDrLt0u0588aIwdTqjr1kGQbAkenslXEM3D2Yno7JUSgjxuDwNotUB
 hD8F/Lk3VXb8MXgOSQ9GtgFozmJtzO8hIU3hi611eok++9EjBO+cfb+FkpsnizYG2VLr
 4kvx+e3D3U/LkXQ2q3gTizad9GL/7KJSL347SIp8NblpSvCumuD6xkLIQtXPNHRkLYZh
 N10sVLoZLKyZUoOK3ybmWYDWgiHeilaaQc1yVWsX+uhNjoE2m4h1O9LpqqG/LXGndLRd
 GdsA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=A4cA/7w9FMDPs4KamZ82S6owtZyaidIP37OzAPHTK14=;
 b=0t4RmxFBxeNq14ntZt+46iztlFQjdVH8JCsXPhnjHK6fBOtlBcKwuGa1reMyBaiTYc
 QKtsW2ItP3xav+laZ427oB7uKNBr5SHeyvWySpTDo0Ow75BKhrZ2T9NHpfUFEUqiVIpy
 NcYa9yQ90b1kDTJ5u3x9hUMmKZSKGTxGYZ3AV+Z8Sb7uPOOqvHdthMAnJ5vfHIeJzQU0
 wElv616gpcnQ0xJhSeVz2JfGPXuRtx8lhlcwhnM1jNMcKsr/WrsctpRx2IAwbt7fCX0W
 fM79wM4/Jh+V9lJp6G80gweoOIRMzEgR8O7DkgURAu+a2Rb0zDE4ti/n+nXJKI+xXh9Z
 4g2g==
X-Gm-Message-State: AOAM533SDRgtEJSf9MP/J9O+4PIQWaZLa1OQIkYgknunnOpop2fjBsP2
 tFGgOSpuD/dzrDlu+/YJ7hUNt3hGBj4=
X-Google-Smtp-Source: ABdhPJzvxgkQCaEmKBH0S2qxzk/ejB+LnWLQR58IQIlYBt8uJlcRAmnok7g45fxKbWKb6J5u/gvUhg==
X-Received: by 2002:adf:fdcd:0:b0:207:a471:3ca4 with SMTP id
 i13-20020adffdcd000000b00207a4713ca4mr12812062wrs.415.1649845786678; 
 Wed, 13 Apr 2022 03:29:46 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 w4-20020a7bc104000000b0038eba17a797sm1927551wmi.31.2022.04.13.03.29.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Apr 2022 03:29:46 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#54829: [PATCH 0/2] Update Emacs to 28.1 and add socket
 activation
In-Reply-To: <b04d18f9bc3b8bde3b09908b2289791e6ec8dd9b.camel@HIDDEN>
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
 <87sfqi67ky.fsf_-_@HIDDEN>
 <b04d18f9bc3b8bde3b09908b2289791e6ec8dd9b.camel@HIDDEN>
Date: Wed, 13 Apr 2022 12:29:28 +0200
Message-ID: <86y2091dkn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Liliana,

On Tue, 12 Apr 2022 at 20:19, Liliana Marie Prikler <liliana.prikler@gmail.=
com> wrote:
> Am Dienstag, dem 12.04.2022 um 10:15 +0200 schrieb zimoun:

>> Applying patch v2 1/3, I get:
>>=20
>> --8<---------------cut here---------------start------------->8---
>> error: corrupt patch at line 71
>> hint: Use 'git am --show-current-patch=3Ddiff' to see the failed patch
>> Applying: gnu: emacs: Update to 28.1.
>> Patch failed at 0001 gnu: emacs: Update to 28.1.
>> When you have resolved this problem, run "git am --continue".
>> If you prefer to skip this patch, run "git am --skip" instead.
>> To restore the original branch and stop patching, run "git am --
>> abort".
>> --8<---------------cut here---------------end--------------->8---
>>=20
>> I do not know what is wrong.=C2=A0 Could you provide the commit against
>> which this patch applies?=C2=A0 See 'git format-patch --base=3D'.
>
> I have some unfinished work below this, so it's not clean, but I'm
> doing somewhat regular rebases on master.  The last commit is
> 47b6451eb55d74161d6e5899f0079e219cfa8a00.

For some reasons I totally miss, the patch v2 1/3 does not apply for me
with the same message as above, even against 47b6451eb55d74161d6e5899f0.


Anyway, I can wait for v3. :-)


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 12 Apr 2022 18:19:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 12 14:19:32 2022
Received: from localhost ([127.0.0.1]:49739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1neL6y-00065f-7x
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2022 14:19:32 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:41629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1neL6w-00065T-7T
 for 54829 <at> debbugs.gnu.org; Tue, 12 Apr 2022 14:19:30 -0400
Received: by mail-ej1-f65.google.com with SMTP id bh17so38959456ejb.8
 for <54829 <at> debbugs.gnu.org>; Tue, 12 Apr 2022 11:19:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=VutAxqrsYcOAomlHgkiDpwxlZ/OkZAhIqjEn8WTS/1A=;
 b=DJKJAZdTciCiIPIOy2T1OnfftK9qCMTMQC2pCp2Si6AX4Um0AhQdpCbVbzw/IvyvLS
 ZLxfcBbvKs+S65pPj4hrDg7PqfS+3KQUrS9XikEVBNRGVj/dNGmyLtD9Pa5R7sUwLnEi
 LP7tDzj+y/PCbgHAydsnGnhhHUB9VMnozH8R4MvnBrBibrvmF13oE1hXSJx38xgD/Itc
 eQnJcWp/slpeNk0HswhNgMDu6vRgwL/wLnHYf67EUxy8SizpslSekrriMT7Z9F/xShLF
 wFzL9RQGemVg3z03pe0n1e6tL9XR6Afz2TdobzYvp2KSTSR/y46BHIfrttwNOQFJfcnn
 CHhg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=VutAxqrsYcOAomlHgkiDpwxlZ/OkZAhIqjEn8WTS/1A=;
 b=cHlbqSVz1/z5IxABi9tUTA+Zxwa0XfxFS854c2etONN4N/kJlaP5GDUT/SxUW/uNbK
 KVaK/MMWCvawF1XaJ10D0UEQQAh8WGMz/erIupSAXDoYWGbtpd7FSWsJ/DZ/l6K3m/uu
 56c4H4/pJku/pPPF0/0TnHHppHnFSx+/tRGzJXGcSm+4aJ5Cte8CW3TqspjHmcOZGZ0a
 FPkgn/2t0BUzEUCgp7B/gAVCyP/yOpqi99ds2bcinMtBoG1QN0dpftK6KLPc/lpE1nyF
 95/B99IHH3gVg034INgblhEvkMuF4uK7sHvK9LX8pqzgoNxICPLZb16aHJoMSn2ika2q
 9d2w==
X-Gm-Message-State: AOAM533tv76aTbf4GUxTc35tnHGvF2DH9AmFhVagSu/lvP40QNQxEX90
 Phaqu+lsuMj0YmT0TDae9h8=
X-Google-Smtp-Source: ABdhPJxinMNfrZKPtoRlTYWsJl3g/LMh8BBay3FXkSHRvTGPt57sAcB3HpzRWovDW6yib+FK0V2XpQ==
X-Received: by 2002:a17:906:d924:b0:6e8:6a04:c1bc with SMTP id
 rn4-20020a170906d92400b006e86a04c1bcmr17717490ejb.720.1649787564328; 
 Tue, 12 Apr 2022 11:19:24 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 s4-20020a170906bc4400b006e893908c4csm2588898ejv.60.2022.04.12.11.19.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Apr 2022 11:19:23 -0700 (PDT)
Message-ID: <b04d18f9bc3b8bde3b09908b2289791e6ec8dd9b.camel@HIDDEN>
Subject: Re: bug#54829: [PATCH 0/2] Update Emacs to 28.1 and add socket
 activation
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 12 Apr 2022 20:19:22 +0200
In-Reply-To: <87sfqi67ky.fsf_-_@HIDDEN>
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
 <87sfqi67ky.fsf_-_@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Dienstag, dem 12.04.2022 um 10:15 +0200 schrieb zimoun:
> Hi Liliana,
> 
> Applying patch v2 1/3, I get:
> 
> --8<---------------cut here---------------start------------->8---
> error: corrupt patch at line 71
> hint: Use 'git am --show-current-patch=diff' to see the failed patch
> Applying: gnu: emacs: Update to 28.1.
> Patch failed at 0001 gnu: emacs: Update to 28.1.
> When you have resolved this problem, run "git am --continue".
> If you prefer to skip this patch, run "git am --skip" instead.
> To restore the original branch and stop patching, run "git am --
> abort".
> --8<---------------cut here---------------end--------------->8---
> 
> I do not know what is wrong.  Could you provide the commit against
> which this patch applies?  See 'git format-patch --base='.
I have some unfinished work below this, so it's not clean, but I'm
doing somewhat regular rebases on master.  The last commit is
47b6451eb55d74161d6e5899f0079e219cfa8a00.

> Moreover, since the upgrade of Emacs leads to an emacs-world rebuild,
> it could be nice to also remove all the trailing #t.  WDYT?
Sure, those should go towards 2/3, but perhaps I didn't catch (all of)
them.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 12 Apr 2022 16:26:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 12 12:26:01 2022
Received: from localhost ([127.0.0.1]:49559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1neJL7-0006c7-4v
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2022 12:26:01 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:46844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1neJL5-0006bm-Ox
 for 54829 <at> debbugs.gnu.org; Tue, 12 Apr 2022 12:26:00 -0400
Received: by mail-wr1-f52.google.com with SMTP id i20so15378437wrb.13
 for <54829 <at> debbugs.gnu.org>; Tue, 12 Apr 2022 09:25:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Bs+TaQ47sg9nzLBaXvWV2EjNb7Y0Q1naq06TodqN7Ps=;
 b=ou2xGc6gTJgsQHInl+TvID7xZHI6/YVfmTw4I7+X6bCEHq/cgA2INyvvIds4+Xd5T1
 zGZN/01vU/JFzWWdhpw95CnwZczH9ib4bEsmyYGxt9e31m/4GRhaocNolHNIk3nge/SA
 DyLNrtYpDq6kDnOSC5h/0tNJD1DnyIqZ699E0FKtTBqSgeRB0rlAolUfS+phvYglV9kK
 1spKSlNgCn8wNlC4SRoT6XBAM2yCzxi3g8mV0UKuGr1+gKkyy0eedBcZl48YOymRK9i5
 Z8nlE3IHdF2uA07vFW6TMOlI3LoyhRmj1IRftLD1ZVmOFAuHuEkEofYNfgfONpwPusEf
 RASw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Bs+TaQ47sg9nzLBaXvWV2EjNb7Y0Q1naq06TodqN7Ps=;
 b=rIcX/gfAL0QjJv3MQC4zgKuyu5V7+HNndtsXDsb4Cp5zqKkfk5ZaJI1ys6eT9HKEoR
 UWJgobLvLZmuL1qh7u+FWs5HfZ21YxnBiy1Hpvp9diV4tNkuEKVJpEdrWlt2xAhixOgg
 mh28Brf2qdfgXN+ZAUYiRQw15I0ZBc+3GxSQzbJvPPPYyPQOOCUVpGeZCtBZiwP97u4X
 YGSr7No3SRmhqMaS9otDTNkVdzzKFmzX0Rh/+sKgYEaaC3+TaXVRedtGkom9ltZf89zw
 sAuLgUpUZpRb4Hiep9Dy0Rl2wCLxdUvVo3nga21EMLfDKEOO7ZanUbkF2bD0+w6ilHiJ
 kD6g==
X-Gm-Message-State: AOAM530ERvuCLruZalyvvEyDCc91WQlcptkdrsg1YNzOvCdEBx/PTRe0
 mAmKdjlzzasMRT0Q8dBC09Tj6OHCy8w=
X-Google-Smtp-Source: ABdhPJxSYfZHA/vwDQqRMPpKAlRe0WRMCkNez+YRSQ95RgGxebP2oZTuqWqS5Zq+BP+pP97VihE2mw==
X-Received: by 2002:a05:6000:1f0c:b0:207:a457:38d3 with SMTP id
 bv12-20020a0560001f0c00b00207a45738d3mr10157689wrb.103.1649780753768; 
 Tue, 12 Apr 2022 09:25:53 -0700 (PDT)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 f14-20020a5d568e000000b00207ae498882sm2132238wrv.32.2022.04.12.09.25.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Apr 2022 09:25:53 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#54829: [PATCH 0/2] Update Emacs to 28.1 and add socket
 activation
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
Date: Tue, 12 Apr 2022 10:15:25 +0200
In-Reply-To: <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Sun, 10 Apr 2022 13:23:43 +0200")
Message-ID: <87sfqi67ky.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Liliana, Applying patch v2 1/3,
 I get: --8<cut herestart>8---
 error: corrupt patch at line 71 hint: Use 'git am --show-current-patch=diff'
 to see the failed patch Applying: gnu: emacs: Update to 2 [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 1.1 DATE_IN_PAST_06_12     Date: is 6 to 12 hours before Received: date
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.52 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.52 listed in wl.mailspike.net]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54829
Cc: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Hi Liliana,

Applying patch v2 1/3, I get:

--8<---------------cut here---------------start------------->8---
error: corrupt patch at line 71
hint: Use 'git am --show-current-patch=diff' to see the failed patch
Applying: gnu: emacs: Update to 28.1.
Patch failed at 0001 gnu: emacs: Update to 28.1.
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
--8<---------------cut here---------------end--------------->8---

I do not know what is wrong.  Could you provide the commit against which
this patch applies?  See 'git format-patch --base='.

Moreover, since the upgrade of Emacs leads to an emacs-world rebuild, it
could be nice to also remove all the trailing #t.  WDYT?


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 11 Apr 2022 08:54:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 11 04:54:58 2022
Received: from localhost ([127.0.0.1]:42446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndpp4-000778-6L
	for submit <at> debbugs.gnu.org; Mon, 11 Apr 2022 04:54:58 -0400
Received: from wp224.webpack.hosteurope.de ([80.237.132.231]:40502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1ndpp2-000770-U3
 for 54829 <at> debbugs.gnu.org; Mon, 11 Apr 2022 04:54:57 -0400
Received: from www.rohleder.de ([37.61.204.227]); authenticated
 by wp224.webpack.hosteurope.de running ExIM with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 id 1ndpp1-0004yA-4X; Mon, 11 Apr 2022 10:54:55 +0200
Received: from [192.168.1.3] (helo=micha)
 by www.rohleder.de with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <mike@HIDDEN>) id 1ndpmz-00086f-VY
 for 54829 <at> debbugs.gnu.org; Mon, 11 Apr 2022 10:54:54 +0200
From: Michael Rohleder <mike@HIDDEN>
To: 54829 <at> debbugs.gnu.org
Subject: Re: [bug#54829] [PATCH v2 1/3] gnu: emacs: Update to 28.1.
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
Date: Mon, 11 Apr 2022 10:53:54 +0200
In-Reply-To: <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Sun, 10 Apr 2022 13:23:43 +0200")
Message-ID: <87wnfwm259.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-bounce-key: webpack.hosteurope.de;mike@HIDDEN;1649667296;1ed14ea1;
X-HE-SMSGID: 1ndpp1-0004yA-4X
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

> * gnu/packages/emacs.scm (emacs): Update to 28.1
> * gnu/packages/patches/emacs-exec-path.patch: Adjust accordingly.
> * gnu/packages/patches/emacs-ignore-empty-xim-styles.patch: Delete file.
> * gnu/local.mk: Remove it here.
> ---
>  gnu/local.mk                                  |  1 -
>  gnu/packages/emacs.scm                        |  5 ++--
>  gnu/packages/patches/emacs-exec-path.patch    | 12 +++++-----
>  .../emacs-ignore-empty-xim-styles.patch       | 24 -------------------
>  4 files changed, 8 insertions(+), 34 deletions(-)
>  delete mode 100644 gnu/packages/patches/emacs-ignore-empty-xim-styles.pa=
tch

LGTM!

Building emacs, emacs-minimal, emacs-xwidgets, emacs-no-x,
emacs-no-x-toolkit, emacs-wide-int (and running them) with this v2 1/3
patch worked well me.

=2D-=20
Perfection (in design) is achieved not when there is nothing more to
add, but rather when there is nothing more to take away.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAmJT7KIRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyWepQf+OmtF418HlWPp8+CvQT/F0HogB8oYl/59
MmLvJ7zm7H57LNjORgh1yWdetDqskEeGDQFZZfG6cWrt6ua33Bd7vSO7BL9HhdmX
dW+OBsVkrycI87QFVN/sPLTJNnmLveT6ysWiMyITKHFNDpMd5SMvHXBmRb9jcTOa
TW5L37cWtnZw8Ie5ujQYIiV9bYAQ8sFjHdZDTio5B3O6I9bwKwIxEZaGqVSJdwOi
HM0HS/xeg9dPm0HcsoF6LUm/f++XxxaW4mlPSnRkARxxIlWUNUl0GV4dRzbW1QWU
Zh5Itl/bkgjG58bycbmwUrBAhAaSkS49I37/kW11S2ap4HHr4Ne26w==
=oXEp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 10 Apr 2022 11:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 07:36:36 2022
Received: from localhost ([127.0.0.1]:39559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndVrw-0007zz-G4
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 07:36:36 -0400
Received: from mail-ej1-f66.google.com ([209.85.218.66]:35387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ndVrs-0007zG-8Z
 for 54829 <at> debbugs.gnu.org; Sun, 10 Apr 2022 07:36:32 -0400
Received: by mail-ej1-f66.google.com with SMTP id l7so20109683ejn.2
 for <54829 <at> debbugs.gnu.org>; Sun, 10 Apr 2022 04:36:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=yznvqZ9j3RC0nMwG/4I1Yv4ax8YBZOn/kLSxJwds8xY=;
 b=RGuAM9NaMxVXeLEiWcNApUZZnegjlco9ErCKQDSQ9nqBljrMMaU6LdCm2eM3b4/WEP
 XxsyAFTkN7YPJ4mSfFAj8i/yBasvZeopbYpL9drZaPJeBkvsP051X+M2bsTVuq4Cn3KE
 SB7IXbBecFD//auYenql9EUaDzqIzFcjgNH6v6dtFwIUOnH2WJd+iZia5ynVqEcycUhW
 i1g+AIChAqaF15HWnjzSZrBBEVhwsZErQxM6S5fclM3xw4DlCWuzqv3EDJhHTg3jcZX4
 AhLQgF9J0csQM0Z16uRy/ofaGSvsXc+UEAqNWWxoBpul/nkN/Odo2qOhW0eyv0W+WuKF
 YUag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=yznvqZ9j3RC0nMwG/4I1Yv4ax8YBZOn/kLSxJwds8xY=;
 b=Dw1z1qGUmLbN1lmfnPw3NAtjeoCgQMSnpZvH0UDbWuEjb7LCI/V9cFkr4wDtl6wn7Y
 pfljLEBGMb/0eHWxnK2wmNRmdgJD6XCAS/kATAhyFDAPon4yM/1ABnxQ+ZVqXEqQ6sC5
 7N3mzLWMm3rRTSIkZ4tDIXcHAVGAeGBqP9kP8zE2Z4MxsmjEavC9jxRtaULjReo2D9kq
 n40zufUVWoeekYI+93EMFb+7GdBuZAzTGmU0xFOicL0zzW0PG1VEP7VbdIoAlRwY7REV
 eXauay1NDRjBpjcCzybHtlHdxmcQnR22RY10TpnbezSLJGcL8hFQfZiN1oSP5cTtq+qf
 FROw==
X-Gm-Message-State: AOAM533vHSDsmlgzKiUU0esbWarv3A7f6DYC8yVm53XNmuMkK/zzxssK
 cmz+yh/m3AseoXhSUojZq5+WFJgA2v4=
X-Google-Smtp-Source: ABdhPJyCiebGcLOmj0FKXuJQmU6LNtAciUNvrKmHGO3yxlKRW/5zhlyIzO7Gu6UNc5f1vBRIU7zCaQ==
X-Received: by 2002:a17:907:8692:b0:6e8:8d83:c25c with SMTP id
 qa18-20020a170907869200b006e88d83c25cmr1292030ejc.38.1649590586554; 
 Sun, 10 Apr 2022 04:36:26 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 q16-20020a056402519000b0041d77e14005sm913302edd.82.2022.04.10.04.36.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 10 Apr 2022 04:36:26 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sun, 10 Apr 2022 13:32:27 +0200
Subject: [PATCH v2 3/3] gnu: emacs: Add support for socket activation.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <51a736cdfab0f0d15ab57e5eb01f784a3b125786.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs)[#:phases]: Add ‘enable-elogind’.
[inputs]: Add elogind.
[native-inputs]: Add autoconf.
---
 gnu/packages/emacs.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index ae062dadf1..85154da72b 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -132,6 +132,11 @@ (define-public emacs
                                 "--disable-build-details")
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'unpack 'enable-elogind
+            (lambda _
+              (substitute* "configure.ac"
+                (("libsystemd") "libelogind"))
+              (delete-file "configure")))
           (add-after 'unpack 'patch-program-file-names
             (lambda* (#:key inputs #:allow-other-keys)
               (substitute* '("src/callproc.c"
@@ -274,6 +279,7 @@ (define* (emacs-byte-compile-directory dir)
            gmp
            ghostscript
            poppler
+           elogind
 
            ;; When looking for libpng `configure' links with `-lpng -lz', so we
            ;; must also provide zlib as an input.
@@ -293,7 +299,7 @@ (define* (emacs-byte-compile-directory dir)
            libotf
            m17n-lib))
     (native-inputs
-     (list pkg-config texinfo))
+     (list autoconf pkg-config texinfo))
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 10 Apr 2022 11:36:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 07:36:36 2022
Received: from localhost ([127.0.0.1]:39557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndVrv-0007zw-Mc
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 07:36:36 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:37734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ndVrr-0007zF-P9
 for 54829 <at> debbugs.gnu.org; Sun, 10 Apr 2022 07:36:32 -0400
Received: by mail-ed1-f68.google.com with SMTP id b15so15010156edn.4
 for <54829 <at> debbugs.gnu.org>; Sun, 10 Apr 2022 04:36:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=w7NnqLClSceE2MYm/QWhjXnZFt2xMKq51UFew9IDi8w=;
 b=CLLfQUXhuZmXJURwSbHa8jHIxy9ZowtcadNKz4c5yOs+8hPbbTI00DalfcQS4allwu
 26yIuI73ZLdRU44YgVsioYBf2/0c2bjp9EV1U0THpW6gxzYsvxRfjtb8AXrUlvmXlGVJ
 MxIbJv+nHCbID1p4TLnO768egZlTntXEHNkxyZdY8IkLkEmJ0qJzrgL1aOmVDI27RpdT
 +p38gVsGwjLFuRWYCteiW9kFL5MF38I23Oum5rDrqTqh5dqhDpbsu7JZ4tl+CyoTaC+K
 4sSsxBCPXaIg2SQ4x0oyHIDHSL+r85aP7Bn6EfmNIR8/e/c/SHQCSPZfLbcMqFX+AltG
 Pylw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=w7NnqLClSceE2MYm/QWhjXnZFt2xMKq51UFew9IDi8w=;
 b=5BH/yhJ4jB4E8x+Gj9gOb26sbswyV8ugXMrtXoKF6wD53swt6Rir6nvxcuC+0eY3Gq
 6kDRp57pvwo151TQ9Z3xiuOLYVpeDTg7Tq371fSeSSHGX18N8TzTOL+/1OCfgNoIWyU3
 schgGORKuOBWAz3WcSoFqyz1O1rUKPoGwVz6Z6ONxdHdwYtANoR7u1xgGuNi+kqd1tf6
 a0BErl19T1xNrilMJajULihwbNS1ozKcs1DpfDv90BjsD3XiFo82vU8xQ7N8iNjKG/cD
 CzoIQVQwcfvmloceeA3pQ2SVB0oZjpsEjF9/TuPmgCzfeUqX3XXzAWeTqqNiGnYUHpe7
 uOyA==
X-Gm-Message-State: AOAM531UoHXyoNIFB15rj/gGoZ89sq1fANRWBo3cKYL+swrt7RKN9PgW
 kPQGma09ba7hlWSxJtRxPGg0++szZF4=
X-Google-Smtp-Source: ABdhPJwAfNgzM8ojmwBhuaMh5yjLPqU0lykRirM8EW2qF/Lrt2v2IFgHycuDDY4zTj2RseaEd8UHvA==
X-Received: by 2002:a05:6402:50d0:b0:419:7df9:55c8 with SMTP id
 h16-20020a05640250d000b004197df955c8mr27764153edb.79.1649590585830; 
 Sun, 10 Apr 2022 04:36:25 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 q16-20020a056402519000b0041d77e14005sm913302edd.82.2022.04.10.04.36.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 10 Apr 2022 04:36:25 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sun, 10 Apr 2022 13:28:05 +0200
Subject: [PATCH v2 2/3] gnu: emacs: Use new package style.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <3ea8d086e75ff361c82e774c71fdfcacfa78fddd.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs)[arguments]: Convert to list of G-Expressions.
Use ‘search-input-file’ where possible.
Inline references to auxiliary files.
[inputs, native-inputs]: Drop labels.
---
 gnu/packages/emacs.scm | 326 ++++++++++++++++++++---------------------
 1 file changed, 162 insertions(+), 164 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 7d791250d2..ae062dadf1 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -41,6 +41,7 @@
 (define-module (gnu packages emacs)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
@@ -51,6 +52,7 @@ (define-module (gnu packages emacs)
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages fribidi)
   #:use-module (gnu packages gd)
   #:use-module (gnu packages gettext)
@@ -123,179 +125,175 @@ (define-public emacs
                   #t))))
     (build-system glib-or-gtk-build-system)
     (arguments
-     `(#:tests? #f                      ; no check target
-       #:configure-flags (list "--with-modules"
-                               "--with-cairo"
-                               "--disable-build-details")
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-program-file-names
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* '("src/callproc.c"
-                            "lisp/term.el"
-                            "lisp/htmlfontify.el"
-                            "lisp/textmodes/artist.el"
-                            "lisp/progmodes/sh-script.el")
-               (("\"/bin/sh\"")
-                (format #f "~s" (which "sh"))))
-             (substitute* "lisp/doc-view.el"
-               (("\"(gs|dvipdf|ps2pdf)\"" all what)
-                (let ((ghostscript (assoc-ref inputs "ghostscript")))
-                  (if ghostscript
-                      (string-append "\"" ghostscript "/bin/" what "\"")
-                      all)))
-               (("\"(pdftotext)\"" all what)
-                (let ((poppler (assoc-ref inputs "poppler")))
-                  (if poppler
-                      (string-append "\"" poppler "/bin/" what "\"")
-                      all))))
-             ;; match ".gvfs-fuse-daemon-real" and ".gvfsd-fuse-real"
-             ;; respectively when looking for GVFS processes.
-             (substitute* "lisp/net/tramp-gvfs.el"
-               (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
-                (format #f "(or ~a (tramp-compat-process-running-p ~s))"
-                        all (string-append "." process "-real"))))
-             #t))
-         (add-before 'configure 'fix-/bin/pwd
-           (lambda _
-             ;; Use `pwd', not `/bin/pwd'.
-             (substitute* (find-files "." "^Makefile\\.in$")
-               (("/bin/pwd")
-                "pwd"))
-             #t))
-         (add-after 'install 'install-site-start
-           ;; Use 'guix-emacs' in "site-start.el", which is used autoload the
-           ;; Elisp packages found in EMACSLOADPATH.
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out      (assoc-ref outputs "out"))
-                    (lisp-dir (string-append out "/share/emacs/site-lisp"))
-                    (emacs    (string-append out "/bin/emacs")))
+     (list
+      #:tests? #f                      ; no check target
+      #:configure-flags #~(list "--with-modules"
+                                "--with-cairo"
+                                "--disable-build-details")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-program-file-names
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* '("src/callproc.c"
+                             "lisp/term.el"
+                             "lisp/htmlfontify.el"
+                             "lisp/textmodes/artist.el"
+                             "lisp/progmodes/sh-script.el")
+                (("\"/bin/sh\"")
+                 (format #f "~s" (search-input-file inputs "/bin/sh"))))
+              (substitute* "lisp/doc-view.el"
+                (("\"(gs|dvipdf|ps2pdf|pdftotext)\"" all what)
+                 (let ((replacement (search-input-file
+                                     inputs
+                                     (string-append "/bin/" what))))
+                   (if replacement
+                       (string-append "\"" replacement "\"")
+                       all))))
+              ;; match ".gvfs-fuse-daemon-real" and ".gvfsd-fuse-real"
+              ;; respectively when looking for GVFS processes.
+              (substitute* "lisp/net/tramp-gvfs.el"
+                (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
+                 (format #f "(or ~a (tramp-compat-process-running-p ~s))"
+                         all (string-append "." process "-real"))))))
+          (add-before 'configure 'fix-/bin/pwd
+            (lambda _
+              ;; Use `pwd', not `/bin/pwd'.
+              (substitute* (find-files "." "^Makefile\\.in$")
+                (("/bin/pwd")
+                 "pwd"))))
+          (add-after 'install 'install-site-start
+            ;; Use 'guix-emacs' in "site-start.el", which is used autoload the
+            ;; Elisp packages found in EMACSLOADPATH.
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out      (assoc-ref outputs "out"))
+                     (lisp-dir (string-append out "/share/emacs/site-lisp"))
+                     (emacs    (string-append out "/bin/emacs")))
 
-               ;; This is duplicated from emacs-utils to prevent coupling.
-               (define* (emacs-byte-compile-directory dir)
-                 (let ((expr `(progn
-                               (setq byte-compile-debug t)
-                               (byte-recompile-directory
-                                (file-name-as-directory ,dir) 0 1))))
-                   (invoke emacs "--quick" "--batch"
-                           (format #f "--eval=~s" expr))))
+                ;; This is duplicated from emacs-utils to prevent coupling.
+                (define* (emacs-byte-compile-directory dir)
+                  (let ((expr `(progn
+                                (setq byte-compile-debug t)
+                                (byte-recompile-directory
+                                 (file-name-as-directory ,dir) 0 1))))
+                    (invoke emacs "--quick" "--batch"
+                            (format #f "--eval=~s" expr))))
 
-               (copy-file (assoc-ref inputs "guix-emacs.el")
-                          (string-append lisp-dir "/guix-emacs.el"))
-               (with-output-to-file (string-append lisp-dir "/site-start.el")
-                 (lambda ()
-                   (display
-                    (string-append
-                     "(when (require 'guix-emacs nil t)\n"
-                     "  (guix-emacs-autoload-packages)\n"
-                     "  (advice-add 'package-load-all-descriptors"
-                     " :after #'guix-emacs-load-package-descriptors))"))))
-               ;; Remove the extraneous subdirs.el file, as it causes Emacs to
-               ;; add recursively all the the sub-directories of a profile's
-               ;; share/emacs/site-lisp union when added to EMACSLOADPATH,
-               ;; which leads to conflicts.
-               (delete-file (string-append lisp-dir "/subdirs.el"))
-               ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir))
-             #t))
-         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
-           ;; restore the dump file that Emacs installs somewhere in
-           ;; libexec/ to its original state
-           (lambda* (#:key outputs target #:allow-other-keys)
-             (let* ((libexec (string-append (assoc-ref outputs "out")
-                                            "/libexec"))
-                    ;; each of these ought to only match a single file,
-                    ;; but even if not (find-files) sorts by string<,
-                    ;; so the Nth element in one maps to the Nth element of
-                    ;; the other
-                    (pdmp (find-files libexec "\\.pdmp$"))
-                    (pdmp-real (find-files libexec "\\.pdmp-real$")))
-               (for-each rename-file pdmp-real pdmp))))
-         (add-after 'glib-or-gtk-wrap 'strip-double-wrap
-           (lambda* (#:key outputs #:allow-other-keys)
-             ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
-             ;; twice.  This also fixes a minor issue, where WMs would not be
-             ;; able to track emacs back to emacs.desktop.
-             (with-directory-excursion (assoc-ref outputs "out")
-               (copy-file
-                (car (find-files "bin" "^emacs-([0-9]+\\.)+[0-9]+$"))
-                "bin/emacs")
-               #t)))
-         (add-after 'strip-double-wrap 'wrap-emacs-paths
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (lisp-dirs (find-files (string-append out "/share/emacs")
-                                           "^lisp$"
-                                           #:directories? #t)))
-               (for-each
-                (lambda (prog)
-                  (wrap-program prog
-                    ;; emacs-next and variants rely on uname being in PATH for
-                    ;; Tramp.  Tramp paths can't be hardcoded, because they
-                    ;; need to be portable.
-                    `("PATH" suffix
-                      ,(map (lambda (in) (string-append in "/bin"))
-                            (list (assoc-ref inputs "gzip")
-                                  (assoc-ref inputs "coreutils"))))
-                    `("EMACSLOADPATH" suffix ,lisp-dirs)))
-                (find-files (string-append out "/bin")
-                            ;; Matches versioned and unversioned emacs binaries.
-                            ;; We don't patch emacsclient, because it takes its
-                            ;; environment variables from emacs.
-                            ;; Likewise, we don't need to patch helper binaries
-                            ;; like etags, ctags or ebrowse.
-                            "^emacs(-[0-9]+(\\.[0-9]+)*)?$"))))))))
+                (copy-file #$(local-file
+                              (search-auxiliary-file "emacs/guix-emacs.el"))
+                           (string-append lisp-dir "/guix-emacs.el"))
+                (with-output-to-file (string-append lisp-dir "/site-start.el")
+                  (lambda ()
+                    (display
+                     (string-append
+                      "(when (require 'guix-emacs nil t)\n"
+                      "  (guix-emacs-autoload-packages)\n"
+                      "  (advice-add 'package-load-all-descriptors"
+                      " :after #'guix-emacs-load-package-descriptors))"))))
+                ;; Remove the extraneous subdirs.el file, as it causes Emacs to
+                ;; add recursively all the the sub-directories of a profile's
+                ;; share/emacs/site-lisp union when added to EMACSLOADPATH,
+                ;; which leads to conflicts.
+                (delete-file (string-append lisp-dir "/subdirs.el"))
+                ;; Byte compile the site-start files.
+                (emacs-byte-compile-directory lisp-dir))
+              #t))
+          (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+            ;; restore the dump file that Emacs installs somewhere in
+            ;; libexec/ to its original state
+            (lambda* (#:key outputs target #:allow-other-keys)
+              (let* ((libexec (string-append (assoc-ref outputs "out")
+                                             "/libexec"))
+                     ;; each of these ought to only match a single file,
+                     ;; but even if not (find-files) sorts by string<,
+                     ;; so the Nth element in one maps to the Nth element of
+                     ;; the other
+                     (pdmp (find-files libexec "\\.pdmp$"))
+                     (pdmp-real (find-files libexec "\\.pdmp-real$")))
+                (for-each rename-file pdmp-real pdmp))))
+          (add-after 'glib-or-gtk-wrap 'strip-double-wrap
+            (lambda* (#:key outputs #:allow-other-keys)
+              ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
+              ;; twice.  This also fixes a minor issue, where WMs would not be
+              ;; able to track emacs back to emacs.desktop.
+              (with-directory-excursion (assoc-ref outputs "out")
+                (copy-file
+                 (car (find-files "bin" "^emacs-([0-9]+\\.)+[0-9]+$"))
+                 "bin/emacs")
+                #t)))
+          (add-after 'strip-double-wrap 'wrap-emacs-paths
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out (assoc-ref outputs "out"))
+                     (lisp-dirs (find-files (string-append out "/share/emacs")
+                                            "^lisp$"
+                                            #:directories? #t)))
+                (for-each
+                 (lambda (prog)
+                   (wrap-program prog
+                     ;; emacs-next and variants rely on uname being in PATH for
+                     ;; Tramp.  Tramp paths can't be hardcoded, because they
+                     ;; need to be portable.
+                     `("PATH" suffix
+                       ,(map dirname
+                             (list (search-input-file inputs "/bin/gzip")
+                                   ;; for coreutils
+                                   (search-input-file inputs "/bin/yes"))))
+                     `("EMACSLOADPATH" suffix ,lisp-dirs)))
+                 (find-files (string-append out "/bin")
+                             ;; Matches versioned and unversioned emacs binaries.
+                             ;; We don't patch emacsclient, because it takes its
+                             ;; environment variables from emacs.
+                             ;; Likewise, we don't need to patch helper binaries
+                             ;; like etags, ctags or ebrowse.
+                             "^emacs(-[0-9]+(\\.[0-9]+)*)?$"))))))))
     (inputs
-     `(("gnutls" ,gnutls)
-       ("ncurses" ,ncurses)
+     (list gnutls
+           ncurses
 
-       ;; Required for "core" functionality, such as dired and compression.
-       ("coreutils" ,coreutils)
-       ("gzip" ,gzip)
+           ;; Required for "core" functionality, such as dired and compression.
+           coreutils
+           gzip
 
-       ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
-       ;; only via insecure channels.  This is not needed for (modern) IMAP.
-       ("mailutils" ,mailutils)
+           ;; Avoid Emacs's limited movemail substitute that retrieves POP3
+           ;; email only via insecure channels.
+           ;; This is not needed for (modern) IMAP.
+           mailutils
 
-       ;; TODO: Add the optional dependencies.
-       ("gpm" ,gpm)
-       ("libx11" ,libx11)
-       ("gtk+" ,gtk+)
-       ("cairo" ,cairo)
-       ("pango" ,pango)
-       ("harfbuzz" ,harfbuzz)
-       ("libxft" ,libxft)
-       ("libtiff" ,libtiff)
-       ("giflib" ,giflib)
-       ("libjpeg" ,libjpeg-turbo)
-       ("acl" ,acl)
-       ("jansson" ,jansson)
-       ("gmp" ,gmp)
-       ("ghostscript" ,ghostscript)
-       ("poppler" ,poppler)
+           ;; TODO: Add the optional dependencies.
+           gpm
+           libx11
+           gtk+
+           cairo
+           pango
+           harfbuzz
+           libxft
+           libtiff
+           giflib
+           libjpeg-turbo
+           acl
+           jansson
+           gmp
+           ghostscript
+           poppler
 
-       ;; When looking for libpng `configure' links with `-lpng -lz', so we
-       ;; must also provide zlib as an input.
-       ("libpng" ,libpng)
-       ("zlib" ,zlib)
-       ("librsvg" ,@(if (target-x86-64?)
-                         (list librsvg-bootstrap)
-                         (list librsvg-2.40)))
-       ("libxpm" ,libxpm)
-       ("libxml2" ,libxml2)
-       ("libice" ,libice)
-       ("libsm" ,libsm)
-       ("alsa-lib" ,alsa-lib)
-       ("dbus" ,dbus)
+           ;; When looking for libpng `configure' links with `-lpng -lz', so we
+           ;; must also provide zlib as an input.
+           libpng
+           zlib
+           (if (target-x86-64?)
+               librsvg-bootstrap
+               librsvg-2.40)
+           libxpm
+           libxml2
+           libice
+           libsm
+           alsa-lib
+           dbus
 
-       ;; multilingualization support
-       ("libotf" ,libotf)
-       ("m17n-lib" ,m17n-lib)))
+           ;; multilingualization support
+           libotf
+           m17n-lib))
     (native-inputs
-     `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
-       ("pkg-config" ,pkg-config)
-       ("texinfo" ,texinfo)))
-
+     (list pkg-config texinfo))
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 10 Apr 2022 11:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 07:36:33 2022
Received: from localhost ([127.0.0.1]:39555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndVrt-0007zi-9a
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 07:36:33 -0400
Received: from mail-ej1-f67.google.com ([209.85.218.67]:45687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ndVrq-0007zD-Vo
 for 54829 <at> debbugs.gnu.org; Sun, 10 Apr 2022 07:36:32 -0400
Received: by mail-ej1-f67.google.com with SMTP id lc2so4973509ejb.12
 for <54829 <at> debbugs.gnu.org>; Sun, 10 Apr 2022 04:36:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=CQtZW/j2jU8jWol/g/kF6I5G4wNyL4sZ4U7G0Cg/sOg=;
 b=BM+GpQkTk88qih/PYuJC++GdhCycNWi9DimOExlx1WM1xZ96ehTCYNB2I9IsVky6vm
 LFc8orwyjXOBp+7H26y+mBcVHLFeyyn6E7vIlP2P/OXQrq81vC7mSyL/qPoNrAKv3LZq
 wk7QgwkUo4hKhVx0O9FD35gQU1KAjaevA6OW4ou6umshOQslnktSoteL5wH4Ti1JJfoI
 ei+bX4Dsa/2dzEQSoNgBgLdE1mHcA0sVEA+kCS4wKSUdKJeZYvJPfuyUS9WV12uduCV8
 Zcp+PAEHnbOGFr/V+/7ie/oo/suCozn5ci9vzbf18ZrwPVzWH0QLv+LX3A8VcSkceGmw
 vImA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=CQtZW/j2jU8jWol/g/kF6I5G4wNyL4sZ4U7G0Cg/sOg=;
 b=HFlDOxJuKxw6E47rkiZ0UhZU+m8F86tHxevWAgNERF9PrI50M+srYJdHbgSTeW6Q/I
 pfpcR6c1Imec4dD33gOOaZwSi6C/+ZS4BTsrCPcxnc4IO9aoPul5/VzkPnEoKb8rTfrj
 WUNX/KiTuNgeLDDpwvz1MKubeL7O7fJ2A8D8TM8WkOu2wquTOSmbSxgBOLXRLCHAaUx5
 EE/a0/IDODyfMmXN8J+Zn144Cizfyb9sBnrRcRCzgQnowiX24DALD/GEFHuZd94221Uz
 lv7LL2fH4zWmyIdexAy7ELqSMMzHdQ/wAVWIbVljt/tLbT/q1IBofQtpPpht8oWw52B/
 xPWQ==
X-Gm-Message-State: AOAM530WX0VDuY/qtzTOMI8GQpdR9biXhGL/uPDPX1AeG9QzVrvM1C+S
 6LT02Wbh5t6D6TpgmFHB2D0=
X-Google-Smtp-Source: ABdhPJwcMRAtnGBnKKsZYplscIxfp6OYDdmrh9SsvzjrQ0jFVqI81snwjKIys65iVc9qY5t5wlepNQ==
X-Received: by 2002:a17:906:c14c:b0:6e8:6526:7647 with SMTP id
 dp12-20020a170906c14c00b006e865267647mr5078798ejc.257.1649590584892; 
 Sun, 10 Apr 2022 04:36:24 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 q16-20020a056402519000b0041d77e14005sm913302edd.82.2022.04.10.04.36.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 10 Apr 2022 04:36:24 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sun, 10 Apr 2022 13:23:43 +0200
Subject: [PATCH v2 1/3] gnu: emacs: Update to 28.1.
to: Maxime Devos <maximedevos@HIDDEN>, 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <b4747db801190413e60441c7abbd0405a52097ad.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs): Update to 28.1
* gnu/packages/patches/emacs-exec-path.patch: Adjust accordingly.
* gnu/packages/patches/emacs-ignore-empty-xim-styles.patch: Delete file.
* gnu/local.mk: Remove it here.
---
 gnu/local.mk                                  |  1 -
 gnu/packages/emacs.scm                        |  5 ++--
 gnu/packages/patches/emacs-exec-path.patch    | 12 +++++-----
 .../emacs-ignore-empty-xim-styles.patch       | 24 -------------------
 4 files changed, 8 insertions(+), 34 deletions(-)
 delete mode 100644 gnu/packages/patches/emacs-ignore-empty-xim-styles.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index a44815bdbb..9d6d81b3e0 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1028,7 +1028,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/elogind-revert-polkit-detection.patch	\
   %D%/packages/patches/emacs-exec-path.patch			\
   %D%/packages/patches/emacs-fix-scheme-indent-function.patch	\
-  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
   %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-highlight-stages-add-gexp.patch	\
   %D%/packages/patches/emacs-hyperbole-toggle-messaging.patch	\
diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index bfb3f9790e..7d791250d2 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -79,17 +79,16 @@ (define-module (gnu packages emacs)
 (define-public emacs
   (package
     (name "emacs")
-    (version "27.2")
+    (version "28.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
               (sha256
                (base32
-                "1ff182gjw9wqsbx1kj5gl2r5pbqhp4ar54g04j33fgz6g17cr9xl"))
+                "1qbmmmhnjhn4lvzsnyk7l5ganbi6wzbm38jc1a7hhyh3k78b7c98"))
               (patches (search-patches "emacs-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
-                                       "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
               (modules '((guix build utils)))
               (snippet
diff --git a/gnu/packages/patches/emacs-exec-path.patch b/gnu/packages/patches/emacs-exec-path.patch
index 7303599df1..9a76b0237d 100644
--- a/gnu/packages/patches/emacs-exec-path.patch
+++ b/gnu/packages/patches/emacs-exec-path.patch
@@ -4,13 +4,13 @@ with things like GCC being referenced.
 
 --- a/lisp/loadup.el
 +++ b/lisp/loadup.el
-@@ -481,7 +481,8 @@ lost after dumping")))
+@@ -530,7 +530,8 @@ lost after dumping")))
                          ((equal dump-mode "dump") "emacs")
                          ((equal dump-mode "bootstrap") "emacs")
                          ((equal dump-mode "pbootstrap") "bootstrap-emacs.pdmp")
--                        (t (error "unrecognized dump mode %s" dump-mode)))))
-+                        (t (error "unrecognized dump mode %s" dump-mode))))
+-                        (t (error "Unrecognized dump mode %s" dump-mode)))))
++                        (t (error "Unrecognized dump mode %s" dump-mode))))
 +          (exec-path nil))
-       (message "Dumping under the name %s" output)
-       (condition-case ()
-           (delete-file output)
+       (when (and (featurep 'native-compile)
+                  (equal dump-mode "pdump"))
+         ;; Don't enable this before bootstrap is completed, as the
diff --git a/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch b/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch
deleted file mode 100644
index 398e65bdc8..0000000000
--- a/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Fix contributed upstream here:
-https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42694.
-
-Index: emacs-26.3/src/xfns.c
-===================================================================
---- emacs-26.3.orig/src/xfns.c
-+++ emacs-26.3/src/xfns.c
-@@ -2628,6 +2628,8 @@ xic_free_xfontset (struct frame *f)
- static XIMStyle
- best_xim_style (XIMStyles *xim)
- {
-+  if (xim == NULL) goto out;
-+
-   int i, j;
-   int nr_supported = ARRAYELTS (supported_xim_styles);
-
-@@ -2636,6 +2638,7 @@ best_xim_style (XIMStyles *xim)
-       if (supported_xim_styles[i] == xim->supported_styles[j])
-	return supported_xim_styles[i];
-
-+ out:
-   /* Return the default style.  */
-   return XIMPreeditNothing | XIMStatusNothing;
- }
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 10 Apr 2022 10:23:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 06:23:11 2022
Received: from localhost ([127.0.0.1]:39424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndUit-0001bJ-0u
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 06:23:11 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:44784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1ndUir-0001bA-Js
 for 54829 <at> debbugs.gnu.org; Sun, 10 Apr 2022 06:23:10 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id GyP62700F4UW6Th01yP79H; Sun, 10 Apr 2022 12:23:08 +0200
Message-ID: <e662e9068b08912b9ce779643da9fe2f4ce4c494.camel@HIDDEN>
Subject: Re: [bug#54829] [PATCH 1/2] gnu: emacs: Update to 28.1.
From: Maxime Devos <maximedevos@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 54829 <at> debbugs.gnu.org
Date: Sun, 10 Apr 2022 12:23:06 +0200
In-Reply-To: <3bb794afd978e935896fe3df65cee98dbf940224.camel@HIDDEN>
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <3bb794afd978e935896fe3df65cee98dbf940224.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-lY+RXqotE5Lfra6KW2U3"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649586188; bh=O1m9MaWGi59YKPfVkwIled7iE0hEY+MkNa9LGemY2lM=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=T70NJ6wXfiBqk/k9Toke7ykgQHuEOFpRCNAywrkec6ApxfJv0I2MOowLerW5sT//D
 u5D1sTW1TREqOz/EL7i10MrAd5jMjsY5m1dzSL7uTVNkd3PUTP026jXFREnO/sjVTO
 xcsK0gwPZQtvIdx4TwGmzcIPU/UOcZT84FnseDwB+UW4a7I0RSGky0aGR3KmK6BppO
 hk3V8daMARyS79b7wQbnfxboJExbI3nOlt5eS8s57qm38mugeGhtU718H9sx+XV/09
 Anb5nv/sZC2ep7bUJFZjm46A2vzOtdosn6VGpl0piqJriVtW2U6S7BkC4SQSElpDiX
 D10N2NrDoQDDA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-lY+RXqotE5Lfra6KW2U3
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Liliana Marie Prikler schreef op za 09-04-2022 om 10:15 [+0200]:
> diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
> index bfb3f9790e..894b9cd7de 100644
> --- a/gnu/packages/emacs.scm
> +++ b/gnu/packages/emacs.scm

It's a bit difficult to read this patch because it mixes style changes
and other changes.  Could they be split?

Greetings,
Maxime.

--=-lY+RXqotE5Lfra6KW2U3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlKwChccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qUnAQDPKhuxw/bu5ISK6OF6lp0HW12G
N1zseJD1bQ6q+l3S8gEAhXm8YYVpZsfg6aT/fH5eg8dsAXooxlqY9IqXziCCcg0=
=0NxD
-----END PGP SIGNATURE-----

--=-lY+RXqotE5Lfra6KW2U3--





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 10 Apr 2022 10:21:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 06:21:07 2022
Received: from localhost ([127.0.0.1]:39413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndUgs-0001Xr-WA
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 06:21:07 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:42670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1ndUgr-0001Xk-J1
 for 54829 <at> debbugs.gnu.org; Sun, 10 Apr 2022 06:21:05 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by baptiste.telenet-ops.be with bizsmtp
 id GyM42700J4UW6Th01yM4xi; Sun, 10 Apr 2022 12:21:04 +0200
Message-ID: <b0ab5b142518a8959c0334ab5e556759c379fcb1.camel@HIDDEN>
Subject: Re: [bug#54829] [PATCH 1/2] gnu: emacs: Update to 28.1.
From: Maxime Devos <maximedevos@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 54829 <at> debbugs.gnu.org
Date: Sun, 10 Apr 2022 12:21:04 +0200
In-Reply-To: <3bb794afd978e935896fe3df65cee98dbf940224.camel@HIDDEN>
References: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
 <3bb794afd978e935896fe3df65cee98dbf940224.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-2ad7GYYOY1BKyPsynJzB"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1649586064; bh=Tk25fzOOs35FAj2JFzZuUbrDoPV3LuC6GQkH/1Gk2Og=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=XSR8XvdlKZSMdECIeHQxX/BN8AbydlTWGo54cb5ft0+qFWYhF5BvB/0NeidhssGtZ
 fQ9MqkjDP35Egceke53s5g5pRfOgtj0PiC/Ib7CEPFqvGcy4RRDWi3duyf+Z6sfZOG
 TAv0cY2wUCkIllJEzRMYA3ExF2r3Pw5HPAJPSD+o8KRyQs2K6zmmR12jCHeKGtS3O9
 8t3o/S7/hop64x2o4ytDkGDDjhJGy1ZV6umgyAeMxry+D/1LXb8B3k3tjOvkT936xM
 vZeE9YpvITF41FvXIW235ZPlCTdXijeImXaqnAENAiH3mByx00GLLatwK5R3JXJ8/C
 j0ezzacAku9hA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-2ad7GYYOY1BKyPsynJzB
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

TGlsaWFuYSBNYXJpZSBQcmlrbGVyIHNjaHJlZWYgb3AgemEgMDktMDQtMjAyMiBvbSAxMDoxNSBb
KzAyMDBdOgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAoc3Vic3RpdHV0ZSogJygic3Jj
L2NhbGxwcm9jLmMiCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgICJsaXNwL3Rlcm0uZWwiCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICJsaXNwL2h0bWxmb250aWZ5LmVsIgo+
ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oCAibGlzcC90ZXh0bW9kZXMvYXJ0aXN0LmVsIgo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAibGlzcC9wcm9nbW9kZXMvc2gtc2NyaXB0
LmVsIikKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICgoIlwiL2Jpbi9zaFwiIikK
PiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgKGZvcm1hdCAjZiAifnMiICh3aGlj
aCAic2giKSkpKQoKVW5yZWxhdGVkIHRvIHRoZSBzb2NrZXQgYWN0aXZhdGlvbiwgYnV0IGZvciBj
cm9zcy1jb21waWxhdGlvbiwKdGhpcyBuZWVkcyB0byBiZSAoc2VhcmNoLWlucHV0LWZpbGUgaW5w
dXRzICJiaW4vc2gpLgoKR3JlZXRpbmdzLApNYXhpbWUuIAo=


--=-2ad7GYYOY1BKyPsynJzB
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYlKvkBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7q/6AQCp7vSfw+n1luWji7/NBKkKwKs/
hLUuOlrw8qVE67o7+AEArkVUDxx3CX42fRwU2WYG0sf5CWjHYWz/tc4Aac7TBQo=
=U7aG
-----END PGP SIGNATURE-----

--=-2ad7GYYOY1BKyPsynJzB--





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 9 Apr 2022 23:24:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 09 19:24:06 2022
Received: from localhost ([127.0.0.1]:38947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndKR4-0007VF-3p
	for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 19:24:06 -0400
Received: from mail-ed1-f66.google.com ([209.85.208.66]:40838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ndKQz-0007UW-Oi
 for 54829 <at> debbugs.gnu.org; Sat, 09 Apr 2022 19:24:04 -0400
Received: by mail-ed1-f66.google.com with SMTP id v4so527207edl.7
 for <54829 <at> debbugs.gnu.org>; Sat, 09 Apr 2022 16:24:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=q36bRmF+eC9h1qfmMSeFbGI5nHD2xYdyXwBVGcEocUg=;
 b=b8adMV70u7MCE6XyzpveI8AzRZv0hvddtlcPa7R9q/8LSo6HIwtD5ksAOU18MLZ3cH
 A6t+nztEi0V3a6sZt4e1zQ5Mv7GWdTzzZwvEpBCMbfrll7ALCl9wf18wDpYVopDUOPy8
 9mn9xQGkoKhw9Az8NqDu2PoZpx498oV1XWU8XKiwKmVs9IlUz3cs+x0Ga5cwcXetNMG1
 wyRD+FVUd/ibO4jvlDF9+M9TRGAzTTYyYwfHOwq+HoCk3N99UsDnK3LjP1zcfxJ1N6sD
 DgFyWeoAkYdrtgSp9IOQUDaL+D2Bxh3tK94viidrhEgQdl+Yw0ee2CU+trJ9wEwUUHzU
 KtaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=q36bRmF+eC9h1qfmMSeFbGI5nHD2xYdyXwBVGcEocUg=;
 b=6L/KAOMRY/iGAMEsD/6CdZ2FUidKnSAUJ1u5VTESXF8DKM12ugvBC7wx7+6OV0WF89
 okdvhHFP4viHLLo2JGUqmjV1/8HJvO8EzKzaBLR4wdmTIHQ76mxwiYNlwflPFN6znywZ
 dLI7gnng3Obq+RikDhrgzbueTxbsoOVuslrbb8VJQHUmHf85rx4Q3KMJZYqPofjCP7WO
 0Iq5toazLjEoriS1ixCw3+umKW0M4ODebt21pqmGIrBQHxPKq7G81umDhnairA2yo8HG
 2OZ0QY+U9MlhQ9A4wvXE9Au9f/FhEU7s/tjUf2B9h5MWJKTKxGvkX2UmOJZ/Bo3/3RMQ
 S/IA==
X-Gm-Message-State: AOAM531d5H4zpiZERgZRN4AyNj2u5K4ip8mNr0KHudCVj4c8AEcPNm1D
 DeuIByXUos1CvXOiCpMS73w1WRkeiVE=
X-Google-Smtp-Source: ABdhPJwSzDUrgblvaszlXWNf84/hI48rwXWGMRX+7lDGOKro5HWFv0F0kQqE85m8/IENyhwb+nVBzw==
X-Received: by 2002:a05:6402:40c9:b0:419:4b81:162e with SMTP id
 z9-20020a05640240c900b004194b81162emr26577143edb.380.1649546636137; 
 Sat, 09 Apr 2022 16:23:56 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 c5-20020a170906d18500b006ce371f09d4sm10093054ejz.57.2022.04.09.16.23.55
 for <54829 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 09 Apr 2022 16:23:55 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 9 Apr 2022 12:28:15 +0200
Subject: [PATCH 2/2] gnu: emacs: Add support for socket activation.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <c5dc98fadc4aed8618615f5d8b4da03b11e320b5.camel@HIDDEN>
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

* gnu/packages/emacs.scm (emacs)[#:phases]: Add ‘enable-elogind’.
[inputs]: Add elogind.
[native-inputs]: Add autoconf.
---
 gnu/packages/emacs.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 894b9cd7de..818166c552 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -52,6 +52,7 @@ (define-module (gnu packages emacs)
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages fribidi)
   #:use-module (gnu packages gd)
   #:use-module (gnu packages gettext)
@@ -131,6 +132,11 @@ (define-public emacs
                                 "--disable-build-details")
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'unpack 'enable-elogind
+            (lambda _
+              (substitute* "configure.ac"
+                (("libsystemd") "libelogind"))
+              (delete-file "configure")))
           (add-after 'unpack 'patch-program-file-names
             (lambda* (#:key inputs #:allow-other-keys)
               (substitute* '("src/callproc.c"
@@ -273,6 +279,7 @@ (define* (emacs-byte-compile-directory dir)
            gmp
            ghostscript
            poppler
+           elogind
 
            ;; When looking for libpng `configure' links with `-lpng -lz', so we
            ;; must also provide zlib as an input.
@@ -292,7 +299,7 @@ (define* (emacs-byte-compile-directory dir)
            libotf
            m17n-lib))
     (native-inputs
-     (list pkg-config texinfo))
+     (list autoconf pkg-config texinfo))
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at 54829 <at> debbugs.gnu.org:


Received: (at 54829) by debbugs.gnu.org; 9 Apr 2022 23:24:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 09 19:24:05 2022
Received: from localhost ([127.0.0.1]:38945 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndKR2-0007V1-1e
	for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 19:24:05 -0400
Received: from mail-ej1-f66.google.com ([209.85.218.66]:37662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ndKQz-0007UV-JS
 for 54829 <at> debbugs.gnu.org; Sat, 09 Apr 2022 19:24:02 -0400
Received: by mail-ej1-f66.google.com with SMTP id bg10so24021094ejb.4
 for <54829 <at> debbugs.gnu.org>; Sat, 09 Apr 2022 16:24:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=lYw7zvSI8oo+co2NBf0JspBnP38668g1sGoyPK4ayp8=;
 b=B/wt2rtM38WRki/a4NDXf53sxnEl4pzQd+OJ9MzOiOI6FMe9P7DGbck7Yy7O1HM+od
 3Ekoy3AFhYMkFwzvn3sScdjnkQwIYmcVYV8shzTYzNl41lZGZSeeggalDxoNsQH8O1Bx
 lt0cuiKiSt2rMYvNcPsLNybwy2Z3ekvbX1uRFJU9COTCbgx0LwMzVtc8I9uCDKsb2+W9
 Lf29lX5yq3l+cKYBLnuIxxtBU4/mV9EsQRVC7ZAbRunwXqSttS/JPrXMPOtu9CwgZjQF
 8b+lBfmy4iWsOMS7GLlaQhtH31pdM4LZCWCd6HjWRAhuV+bpHfVIn65Ho+V5m9HkVTlF
 EEGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=lYw7zvSI8oo+co2NBf0JspBnP38668g1sGoyPK4ayp8=;
 b=4+qCjV+XPKsVNrpQ9Z+zZACBCx2zyKCsfcb8Z8ghv98clsMsVQ77O5lIUIJr+0VViq
 wjTFFf7tN/roZmvFoi99nMfnZP1K9YZent5H8gWYMlOhdK4+q97CnF8+IUr6ym+VsNtt
 VWNHNjHMQzn2s+ubfqgTetupPiIqlGoxkTCvZ4jMx6F19Tx+tgEdgQdY509dNhH7ku43
 8V0fUR5l9g+oS/woZLC8Ah1NRThNOD/EyQQWes6pnGKptdYmrtHsEijkcVUirpAplJZ1
 jX3yfaVr2jRyqLnXQ15KTVQ17hkanCGMPBBtCjbE34INgWDuhrLwA5RV3RChLXRm+v3Q
 xzhQ==
X-Gm-Message-State: AOAM533HMQF11Fnyij716SuZQKCeTg+XYwn/FnUpZhWQ8axKXvoSmfgS
 9500Mgz5uuYwHjO6VdLpiiiL3dQxfYE=
X-Google-Smtp-Source: ABdhPJzBXuRziPC4WzDzGvyQkpbXv/naRI6F1xpN61sdbr9oC8vwGR5NduOuUBz9TcC3nsEWLZ/lZw==
X-Received: by 2002:a17:906:2bc5:b0:6cd:e676:3624 with SMTP id
 n5-20020a1709062bc500b006cde6763624mr24380512ejg.277.1649546635409; 
 Sat, 09 Apr 2022 16:23:55 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 c5-20020a170906d18500b006ce371f09d4sm10093054ejz.57.2022.04.09.16.23.54
 for <54829 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 09 Apr 2022 16:23:54 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 9 Apr 2022 10:15:03 +0200
Subject: [PATCH 1/2] gnu: emacs: Update to 28.1.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 54829 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <3bb794afd978e935896fe3df65cee98dbf940224.camel@HIDDEN>
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 54829
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

* gnu/packages/emacs.scm (emacs): Update to 28.1
[origin]<patches>: Drop ‘emacs-ignore-empty-xim-styles.patch’.
[arguments]: Convert to list of G-Expressions.
Use search-input-file instead of input labels.
Inline reference to auxiliary files.
[inputs, native-inputs]: Drop labels.
* gnu/packages/patches/emacs-exec-path.patch: Update accordingly.
* gnu/packages/patches/emacs-ignore-empty-xim-styles.patch: Delete file.
* gnu/local.mk (dist_patch_DATA): Remove it from here.
---
 gnu/local.mk                                  |   1 -
 gnu/packages/emacs.scm                        | 330 +++++++++---------
 gnu/packages/patches/emacs-exec-path.patch    |  12 +-
 .../emacs-ignore-empty-xim-styles.patch       |  24 --
 4 files changed, 169 insertions(+), 198 deletions(-)
 delete mode 100644 gnu/packages/patches/emacs-ignore-empty-xim-styles.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index a44815bdbb..9d6d81b3e0 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1028,7 +1028,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/elogind-revert-polkit-detection.patch	\
   %D%/packages/patches/emacs-exec-path.patch			\
   %D%/packages/patches/emacs-fix-scheme-indent-function.patch	\
-  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
   %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-highlight-stages-add-gexp.patch	\
   %D%/packages/patches/emacs-hyperbole-toggle-messaging.patch	\
diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index bfb3f9790e..894b9cd7de 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -41,6 +41,7 @@
 (define-module (gnu packages emacs)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
@@ -79,17 +80,16 @@ (define-module (gnu packages emacs)
 (define-public emacs
   (package
     (name "emacs")
-    (version "27.2")
+    (version "28.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
               (sha256
                (base32
-                "1ff182gjw9wqsbx1kj5gl2r5pbqhp4ar54g04j33fgz6g17cr9xl"))
+                "1qbmmmhnjhn4lvzsnyk7l5ganbi6wzbm38jc1a7hhyh3k78b7c98"))
               (patches (search-patches "emacs-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
-                                       "emacs-ignore-empty-xim-styles.patch"
                                        "emacs-source-date-epoch.patch"))
               (modules '((guix build utils)))
               (snippet
@@ -124,179 +124,175 @@ (define-public emacs
                   #t))))
     (build-system glib-or-gtk-build-system)
     (arguments
-     `(#:tests? #f                      ; no check target
-       #:configure-flags (list "--with-modules"
-                               "--with-cairo"
-                               "--disable-build-details")
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'patch-program-file-names
-           (lambda* (#:key inputs #:allow-other-keys)
-             (substitute* '("src/callproc.c"
-                            "lisp/term.el"
-                            "lisp/htmlfontify.el"
-                            "lisp/textmodes/artist.el"
-                            "lisp/progmodes/sh-script.el")
-               (("\"/bin/sh\"")
-                (format #f "~s" (which "sh"))))
-             (substitute* "lisp/doc-view.el"
-               (("\"(gs|dvipdf|ps2pdf)\"" all what)
-                (let ((ghostscript (assoc-ref inputs "ghostscript")))
-                  (if ghostscript
-                      (string-append "\"" ghostscript "/bin/" what "\"")
-                      all)))
-               (("\"(pdftotext)\"" all what)
-                (let ((poppler (assoc-ref inputs "poppler")))
-                  (if poppler
-                      (string-append "\"" poppler "/bin/" what "\"")
-                      all))))
-             ;; match ".gvfs-fuse-daemon-real" and ".gvfsd-fuse-real"
-             ;; respectively when looking for GVFS processes.
-             (substitute* "lisp/net/tramp-gvfs.el"
-               (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
-                (format #f "(or ~a (tramp-compat-process-running-p ~s))"
-                        all (string-append "." process "-real"))))
-             #t))
-         (add-before 'configure 'fix-/bin/pwd
-           (lambda _
-             ;; Use `pwd', not `/bin/pwd'.
-             (substitute* (find-files "." "^Makefile\\.in$")
-               (("/bin/pwd")
-                "pwd"))
-             #t))
-         (add-after 'install 'install-site-start
-           ;; Use 'guix-emacs' in "site-start.el", which is used autoload the
-           ;; Elisp packages found in EMACSLOADPATH.
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out      (assoc-ref outputs "out"))
-                    (lisp-dir (string-append out "/share/emacs/site-lisp"))
-                    (emacs    (string-append out "/bin/emacs")))
+     (list
+      #:tests? #f                      ; no check target
+      #:configure-flags #~(list "--with-modules"
+                                "--with-cairo"
+                                "--disable-build-details")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'patch-program-file-names
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* '("src/callproc.c"
+                             "lisp/term.el"
+                             "lisp/htmlfontify.el"
+                             "lisp/textmodes/artist.el"
+                             "lisp/progmodes/sh-script.el")
+                (("\"/bin/sh\"")
+                 (format #f "~s" (which "sh"))))
+              (substitute* "lisp/doc-view.el"
+                (("\"(gs|dvipdf|ps2pdf|pdftotext)\"" all what)
+                 (let ((replacement (search-input-file
+                                     inputs
+                                     (string-append "/bin/" what))))
+                   (if replacement
+                       (string-append "\"" replacement "\"")
+                       all))))
+              ;; match ".gvfs-fuse-daemon-real" and ".gvfsd-fuse-real"
+              ;; respectively when looking for GVFS processes.
+              (substitute* "lisp/net/tramp-gvfs.el"
+                (("\\(tramp-compat-process-running-p \"(.*)\"\\)" all process)
+                 (format #f "(or ~a (tramp-compat-process-running-p ~s))"
+                         all (string-append "." process "-real"))))))
+          (add-before 'configure 'fix-/bin/pwd
+            (lambda _
+              ;; Use `pwd', not `/bin/pwd'.
+              (substitute* (find-files "." "^Makefile\\.in$")
+                (("/bin/pwd")
+                 "pwd"))))
+          (add-after 'install 'install-site-start
+            ;; Use 'guix-emacs' in "site-start.el", which is used autoload the
+            ;; Elisp packages found in EMACSLOADPATH.
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out      (assoc-ref outputs "out"))
+                     (lisp-dir (string-append out "/share/emacs/site-lisp"))
+                     (emacs    (string-append out "/bin/emacs")))
 
-               ;; This is duplicated from emacs-utils to prevent coupling.
-               (define* (emacs-byte-compile-directory dir)
-                 (let ((expr `(progn
-                               (setq byte-compile-debug t)
-                               (byte-recompile-directory
-                                (file-name-as-directory ,dir) 0 1))))
-                   (invoke emacs "--quick" "--batch"
-                           (format #f "--eval=~s" expr))))
+                ;; This is duplicated from emacs-utils to prevent coupling.
+                (define* (emacs-byte-compile-directory dir)
+                  (let ((expr `(progn
+                                (setq byte-compile-debug t)
+                                (byte-recompile-directory
+                                 (file-name-as-directory ,dir) 0 1))))
+                    (invoke emacs "--quick" "--batch"
+                            (format #f "--eval=~s" expr))))
 
-               (copy-file (assoc-ref inputs "guix-emacs.el")
-                          (string-append lisp-dir "/guix-emacs.el"))
-               (with-output-to-file (string-append lisp-dir "/site-start.el")
-                 (lambda ()
-                   (display
-                    (string-append
-                     "(when (require 'guix-emacs nil t)\n"
-                     "  (guix-emacs-autoload-packages)\n"
-                     "  (advice-add 'package-load-all-descriptors"
-                     " :after #'guix-emacs-load-package-descriptors))"))))
-               ;; Remove the extraneous subdirs.el file, as it causes Emacs to
-               ;; add recursively all the the sub-directories of a profile's
-               ;; share/emacs/site-lisp union when added to EMACSLOADPATH,
-               ;; which leads to conflicts.
-               (delete-file (string-append lisp-dir "/subdirs.el"))
-               ;; Byte compile the site-start files.
-               (emacs-byte-compile-directory lisp-dir))
-             #t))
-         (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
-           ;; restore the dump file that Emacs installs somewhere in
-           ;; libexec/ to its original state
-           (lambda* (#:key outputs target #:allow-other-keys)
-             (let* ((libexec (string-append (assoc-ref outputs "out")
-                                            "/libexec"))
-                    ;; each of these ought to only match a single file,
-                    ;; but even if not (find-files) sorts by string<,
-                    ;; so the Nth element in one maps to the Nth element of
-                    ;; the other
-                    (pdmp (find-files libexec "\\.pdmp$"))
-                    (pdmp-real (find-files libexec "\\.pdmp-real$")))
-               (for-each rename-file pdmp-real pdmp))))
-         (add-after 'glib-or-gtk-wrap 'strip-double-wrap
-           (lambda* (#:key outputs #:allow-other-keys)
-             ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
-             ;; twice.  This also fixes a minor issue, where WMs would not be
-             ;; able to track emacs back to emacs.desktop.
-             (with-directory-excursion (assoc-ref outputs "out")
-               (copy-file
-                (car (find-files "bin" "^emacs-([0-9]+\\.)+[0-9]+$"))
-                "bin/emacs")
-               #t)))
-         (add-after 'strip-double-wrap 'wrap-emacs-paths
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (lisp-dirs (find-files (string-append out "/share/emacs")
-                                           "^lisp$"
-                                           #:directories? #t)))
-               (for-each
-                (lambda (prog)
-                  (wrap-program prog
-                    ;; emacs-next and variants rely on uname being in PATH for
-                    ;; Tramp.  Tramp paths can't be hardcoded, because they
-                    ;; need to be portable.
-                    `("PATH" suffix
-                      ,(map (lambda (in) (string-append in "/bin"))
-                            (list (assoc-ref inputs "gzip")
-                                  (assoc-ref inputs "coreutils"))))
-                    `("EMACSLOADPATH" suffix ,lisp-dirs)))
-                (find-files (string-append out "/bin")
-                            ;; Matches versioned and unversioned emacs binaries.
-                            ;; We don't patch emacsclient, because it takes its
-                            ;; environment variables from emacs.
-                            ;; Likewise, we don't need to patch helper binaries
-                            ;; like etags, ctags or ebrowse.
-                            "^emacs(-[0-9]+(\\.[0-9]+)*)?$"))))))))
+                (copy-file #$(local-file
+                              (search-auxiliary-file "emacs/guix-emacs.el"))
+                           (string-append lisp-dir "/guix-emacs.el"))
+                (with-output-to-file (string-append lisp-dir "/site-start.el")
+                  (lambda ()
+                    (display
+                     (string-append
+                      "(when (require 'guix-emacs nil t)\n"
+                      "  (guix-emacs-autoload-packages)\n"
+                      "  (advice-add 'package-load-all-descriptors"
+                      " :after #'guix-emacs-load-package-descriptors))"))))
+                ;; Remove the extraneous subdirs.el file, as it causes Emacs to
+                ;; add recursively all the the sub-directories of a profile's
+                ;; share/emacs/site-lisp union when added to EMACSLOADPATH,
+                ;; which leads to conflicts.
+                (delete-file (string-append lisp-dir "/subdirs.el"))
+                ;; Byte compile the site-start files.
+                (emacs-byte-compile-directory lisp-dir))
+              #t))
+          (add-after 'glib-or-gtk-wrap 'restore-emacs-pdmp
+            ;; restore the dump file that Emacs installs somewhere in
+            ;; libexec/ to its original state
+            (lambda* (#:key outputs target #:allow-other-keys)
+              (let* ((libexec (string-append (assoc-ref outputs "out")
+                                             "/libexec"))
+                     ;; each of these ought to only match a single file,
+                     ;; but even if not (find-files) sorts by string<,
+                     ;; so the Nth element in one maps to the Nth element of
+                     ;; the other
+                     (pdmp (find-files libexec "\\.pdmp$"))
+                     (pdmp-real (find-files libexec "\\.pdmp-real$")))
+                (for-each rename-file pdmp-real pdmp))))
+          (add-after 'glib-or-gtk-wrap 'strip-double-wrap
+            (lambda* (#:key outputs #:allow-other-keys)
+              ;; Directly copy emacs-X.Y to emacs, so that it is not wrapped
+              ;; twice.  This also fixes a minor issue, where WMs would not be
+              ;; able to track emacs back to emacs.desktop.
+              (with-directory-excursion (assoc-ref outputs "out")
+                (copy-file
+                 (car (find-files "bin" "^emacs-([0-9]+\\.)+[0-9]+$"))
+                 "bin/emacs")
+                #t)))
+          (add-after 'strip-double-wrap 'wrap-emacs-paths
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (let* ((out (assoc-ref outputs "out"))
+                     (lisp-dirs (find-files (string-append out "/share/emacs")
+                                            "^lisp$"
+                                            #:directories? #t)))
+                (for-each
+                 (lambda (prog)
+                   (wrap-program prog
+                     ;; emacs-next and variants rely on uname being in PATH for
+                     ;; Tramp.  Tramp paths can't be hardcoded, because they
+                     ;; need to be portable.
+                     `("PATH" suffix
+                       ,(map dirname
+                             (list (search-input-file inputs "/bin/gzip")
+                                   ;; for coreutils
+                                   (search-input-file inputs "/bin/yes"))))
+                     `("EMACSLOADPATH" suffix ,lisp-dirs)))
+                 (find-files (string-append out "/bin")
+                             ;; Matches versioned and unversioned emacs binaries.
+                             ;; We don't patch emacsclient, because it takes its
+                             ;; environment variables from emacs.
+                             ;; Likewise, we don't need to patch helper binaries
+                             ;; like etags, ctags or ebrowse.
+                             "^emacs(-[0-9]+(\\.[0-9]+)*)?$"))))))))
     (inputs
-     `(("gnutls" ,gnutls)
-       ("ncurses" ,ncurses)
+     (list gnutls
+           ncurses
 
-       ;; Required for "core" functionality, such as dired and compression.
-       ("coreutils" ,coreutils)
-       ("gzip" ,gzip)
+           ;; Required for "core" functionality, such as dired and compression.
+           coreutils
+           gzip
 
-       ;; Avoid Emacs's limited movemail substitute that retrieves POP3 email
-       ;; only via insecure channels.  This is not needed for (modern) IMAP.
-       ("mailutils" ,mailutils)
+           ;; Avoid Emacs's limited movemail substitute that retrieves POP3
+           ;; email only via insecure channels.
+           ;; This is not needed for (modern) IMAP.
+           mailutils
 
-       ;; TODO: Add the optional dependencies.
-       ("gpm" ,gpm)
-       ("libx11" ,libx11)
-       ("gtk+" ,gtk+)
-       ("cairo" ,cairo)
-       ("pango" ,pango)
-       ("harfbuzz" ,harfbuzz)
-       ("libxft" ,libxft)
-       ("libtiff" ,libtiff)
-       ("giflib" ,giflib)
-       ("libjpeg" ,libjpeg-turbo)
-       ("acl" ,acl)
-       ("jansson" ,jansson)
-       ("gmp" ,gmp)
-       ("ghostscript" ,ghostscript)
-       ("poppler" ,poppler)
+           ;; TODO: Add the optional dependencies.
+           gpm
+           libx11
+           gtk+
+           cairo
+           pango
+           harfbuzz
+           libxft
+           libtiff
+           giflib
+           libjpeg-turbo
+           acl
+           jansson
+           gmp
+           ghostscript
+           poppler
 
-       ;; When looking for libpng `configure' links with `-lpng -lz', so we
-       ;; must also provide zlib as an input.
-       ("libpng" ,libpng)
-       ("zlib" ,zlib)
-       ("librsvg" ,@(if (target-x86-64?)
-                         (list librsvg-bootstrap)
-                         (list librsvg-2.40)))
-       ("libxpm" ,libxpm)
-       ("libxml2" ,libxml2)
-       ("libice" ,libice)
-       ("libsm" ,libsm)
-       ("alsa-lib" ,alsa-lib)
-       ("dbus" ,dbus)
+           ;; When looking for libpng `configure' links with `-lpng -lz', so we
+           ;; must also provide zlib as an input.
+           libpng
+           zlib
+           (if (target-x86-64?)
+               librsvg-bootstrap
+               librsvg-2.40)
+           libxpm
+           libxml2
+           libice
+           libsm
+           alsa-lib
+           dbus
 
-       ;; multilingualization support
-       ("libotf" ,libotf)
-       ("m17n-lib" ,m17n-lib)))
+           ;; multilingualization support
+           libotf
+           m17n-lib))
     (native-inputs
-     `(("guix-emacs.el" ,(search-auxiliary-file "emacs/guix-emacs.el"))
-       ("pkg-config" ,pkg-config)
-       ("texinfo" ,texinfo)))
-
+     (list pkg-config texinfo))
     (native-search-paths
      (list (search-path-specification
             (variable "EMACSLOADPATH")
diff --git a/gnu/packages/patches/emacs-exec-path.patch b/gnu/packages/patches/emacs-exec-path.patch
index 7303599df1..9a76b0237d 100644
--- a/gnu/packages/patches/emacs-exec-path.patch
+++ b/gnu/packages/patches/emacs-exec-path.patch
@@ -4,13 +4,13 @@ with things like GCC being referenced.
 
 --- a/lisp/loadup.el
 +++ b/lisp/loadup.el
-@@ -481,7 +481,8 @@ lost after dumping")))
+@@ -530,7 +530,8 @@ lost after dumping")))
                          ((equal dump-mode "dump") "emacs")
                          ((equal dump-mode "bootstrap") "emacs")
                          ((equal dump-mode "pbootstrap") "bootstrap-emacs.pdmp")
--                        (t (error "unrecognized dump mode %s" dump-mode)))))
-+                        (t (error "unrecognized dump mode %s" dump-mode))))
+-                        (t (error "Unrecognized dump mode %s" dump-mode)))))
++                        (t (error "Unrecognized dump mode %s" dump-mode))))
 +          (exec-path nil))
-       (message "Dumping under the name %s" output)
-       (condition-case ()
-           (delete-file output)
+       (when (and (featurep 'native-compile)
+                  (equal dump-mode "pdump"))
+         ;; Don't enable this before bootstrap is completed, as the
diff --git a/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch b/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch
deleted file mode 100644
index 398e65bdc8..0000000000
--- a/gnu/packages/patches/emacs-ignore-empty-xim-styles.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Fix contributed upstream here:
-https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42694.
-
-Index: emacs-26.3/src/xfns.c
-===================================================================
---- emacs-26.3.orig/src/xfns.c
-+++ emacs-26.3/src/xfns.c
-@@ -2628,6 +2628,8 @@ xic_free_xfontset (struct frame *f)
- static XIMStyle
- best_xim_style (XIMStyles *xim)
- {
-+  if (xim == NULL) goto out;
-+
-   int i, j;
-   int nr_supported = ARRAYELTS (supported_xim_styles);
-
-@@ -2636,6 +2638,7 @@ best_xim_style (XIMStyles *xim)
-       if (supported_xim_styles[i] == xim->supported_styles[j])
-	return supported_xim_styles[i];
-
-+ out:
-   /* Return the default style.  */
-   return XIMPreeditNothing | XIMStatusNothing;
- }
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Apr 2022 23:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 09 19:11:24 2022
Received: from localhost ([127.0.0.1]:38924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndKEm-00078E-5L
	for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 19:11:24 -0400
Received: from lists.gnu.org ([209.51.188.17]:40264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1ndKEk-000787-RQ
 for submit <at> debbugs.gnu.org; Sat, 09 Apr 2022 19:11:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53412)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1ndKEk-0007L3-Nm
 for guix-patches@HIDDEN; Sat, 09 Apr 2022 19:11:22 -0400
Received: from mail-ed1-x544.google.com ([2a00:1450:4864:20::544]:38530)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1ndKEi-0008O9-ED
 for guix-patches@HIDDEN; Sat, 09 Apr 2022 19:11:22 -0400
Received: by mail-ed1-x544.google.com with SMTP id z99so5407543ede.5
 for <guix-patches@HIDDEN>; Sat, 09 Apr 2022 16:11:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=r99EnVRTYjz+IgkxxGzXFPBBzBs22Be5m5bvYCWBwAw=;
 b=b8n/Cb8D2GHWPcgzvJLHrJOJ90/JtGQOr6efdOZ422JzflW/csotP1ceIO+zxCZup+
 8Ctp2aMDa9lvThkVlQIV3XJf1bDMUD6ijd7BmgFkkwb1UcuAR8u7dnMNj0SwkLu3nAIj
 zlHzFuBa1kZ6aPwC0oAiB9I7Q6pHVfe5ECUBc+kAwSu6RdrTbCl+Sk/EHJpxIhJWotet
 5dRsNGX6HPI53BOutWlrMzPNJbYOyP4ky4UUS+plN8y4y0nouyBc3cFIlpxgtue/BESd
 IUlVO3sVbQSZLmRJORE2kvOREdq5w2UNjVroMLT4vxakqzrIEZ8A+dCQDtqxLQSAPP4B
 KjZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=r99EnVRTYjz+IgkxxGzXFPBBzBs22Be5m5bvYCWBwAw=;
 b=E5ZYvY5LPs2aVTcQ9V0wOUkfWcefh69zaW1QbTjTsVwndtsFIQCSO0/Si6qwjy8RHy
 cI/zhrwEfl9fG/gnoeb3o5tyJ9q+hxqNvH58apB16tak6QA26Jcjo6+p9b+5P+JQXnFI
 895JHYYT/fFh4RVXBNuZ+V2opY+iL8vOUKVgaqeOVUnlKh4WqyOd07OvCEIuv5lE+nTj
 NK2opIVWvmexPLAWrgtlkfpXCzkIY5tLjGCVo+V32ozgyIwhsmvIUfkf9ad/DeUnvf2u
 Dk0FRbKPjGpabPx7rEFiOtRpE2NXwOYPwImSM2qjMoAVXoWn5ElrJaHXB8h+joqNa454
 fDrQ==
X-Gm-Message-State: AOAM533K1umMnsdrK4EMuaGUj1PoM2QvIwX2PSrEVDer7HkEWKQ9bp/i
 9PuOFmg6dcD3rTdt8dc+M9ELrNeiUto=
X-Google-Smtp-Source: ABdhPJza0woWvqqEDXxmKkCmuY9zZTlr95KtYZ6XY3C8LMJihqDJLD/4ADuq9z6mnZxdd6oWNvYioA==
X-Received: by 2002:a05:6402:430c:b0:419:4660:e261 with SMTP id
 m12-20020a056402430c00b004194660e261mr25932679edc.324.1649545878341; 
 Sat, 09 Apr 2022 16:11:18 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 d6-20020a17090648c600b006e858ec6196sm1961877ejt.222.2022.04.09.16.11.17
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 09 Apr 2022 16:11:17 -0700 (PDT)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 9 Apr 2022 12:29:39 +0200
Subject: [PATCH 0/2] Update Emacs to 28.1 and add socket activation
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: guix-patches@HIDDEN
Content-Transfer-Encoding: 7bit
Message-ID: <a12fa139736fdba929f3460f26622928e9cc8eca.camel@HIDDEN>
Received-SPF: pass client-ip=2a00:1450:4864:20::544;
 envelope-from=liliana.prikler@HIDDEN; helo=mail-ed1-x544.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_12_24=1.049,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

Hi Guix,

as noted over at guix devel, I've updated Emacs and enabled socket activation.
I did not yet test this, so you might consider it WIP (I did test my own
config with 27.2 under socket activation slightly better), also given the
number of rebuilds I'm never quite sure if we should actually adhere to
Emacs being staging material.  Anyways, please enjoy.

Yours truly

Liliana Marie Prikler (2):
  gnu: emacs: Update to 28.1.
  gnu: emacs: Add support for socket activation.

 gnu/local.mk                                  |   1 -
 gnu/packages/emacs.scm                        | 337 +++++++++---------
 gnu/packages/patches/emacs-exec-path.patch    |  12 +-
 .../emacs-ignore-empty-xim-styles.patch       |  24 --
 4 files changed, 176 insertions(+), 198 deletions(-)
 delete mode 100644 gnu/packages/patches/emacs-ignore-empty-xim-styles.patch

-- 
2.34.0





Acknowledgement sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54829; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Apr 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.